.****
:userdoc.
:title.  NPS WPS Enhancer versie 1.90 Handleiding
:h1 x=right y=top width=70% height=100% group=1.Introductie
:p.
:artwork align=center name='bmp\pmgrab00.bmp'.
:lines align=center.
Workplace Shell Customizing Program
NPS WPS Enhancer version 1.90
Copyright(C) 1995, 1996 N.P.S.
:elines.
:p.
NPS WPS voegt een aantal toeters en bellen toe aan de Workplace Shell
van OS/2, versie 2.1 of hoger.  Deze software is geheel gratis,er is dus
geen garantie.
:p.
:hp7.Wat is NPS WPS eigenlijk?:ehp7.
:p.
Middels NPS WPS wordt het werken met OS/2 weer een tikje comfortabeler.
Funkties zoals een sluitknop, schaduws en spectaculaire
vensteranimaties hebben weliswaar geen echt praktisch nut,
maar veel mensen vinden dit soort grappige 'gadgets' gewoon leuk
om te gebruiken. Speciaal aanbevolen voor demonstraties aan
collega's met een ander besturingssysteem... &colon.&dash.)
:p.
NPS WPS is volledig 'freeware', dat wil zeggen, er zit copyright
op (Copyright(C) 1995, 1996 Shinji 'N.P.S.' Takasugi) maar men kan het
vrij kopiren en verspreiden. Jacco de Leeuw heeft NPS WPS
vertaald in het Nederlands en een installatieprogramma geschreven.
:p.
:hp2.Noot van de vertaler:ehp2., Jacco de Leeuw:
U hebt toestemming om de software op Nederlandstalige CD's te
gebruiken maar ik zou het zeer op prijs stellen als u mij dan een 
exemplaar zou willen toesturen! (Zie credits).
:p.
Met NPS WPS genstalleerd op uw desktop, kunt u...
:ol compact.
:li.objecten in een map sorteren op extensies.
:li.vensters van mappen (en ook de systeemklok) verplaatsen door te slepen met muisknop 2.
:li.de menu opties "Sorteren" en "Rangschikken" verwijderen uit het voorgrondmenu van de Werkplek.
:li.een voorgrondmenu gebruiken in OS/2- of DOS-opdrachtaanwijzingen en tevens bestanden openen of bestandsnamen kopiren middels een dialoogvenster in OS/2-opdrachtaanwijzingen.
:li.het Taakoverzicht laten zien door tegelijk te klikken met beide muisknoppen (werkt in bijna ieder venster).
:li.objecten in mappen selecteren op naam (jokertekens beschikbaar).
:li.de toetsbezetting in PM vensters of OS/2-opdrachtaanwijzigingen veranderen (tijdelijke macro's beschikbaar).  
:li.een venster verplaatsen door diens kader te slepen met muisknop 2.
:li.de aanwijzer (mouse pointer) aan de andere kant van het scherm laten verschijnen als deze over de schermrand dreigt te gaan.
:li.lijnen tekenen op het scherm (ter accentuering b.v.).
:li.objecten in een map op regelmatige afstand van elkaar rangschikken (matrixvorm).
:li.automatisch de aanwijzer laten verplaatsen naar het venster dat de focus heeft.
:li.schaduwen toevoegen aan vensters.
:li.een "sluit"-knop toevoegen aan vensters.
:li.automatisch het venster onder de aanwijzer activeren (optioneel de Z-volgorde onveranderd laten).
:li.(doel-)mappen naar voren halen wanneer u een object sleept.
:li.een venster in zijn geheel slepen, in plaats van alleen een kader.
:li.bij opdrachtaanwijzingen met de muis tekst markeren en kopiren in minder handelingen.
:li.tekst vanuit het klembord plakken in opdrachtaanwijzingen met behulp van de muis.
:li.bestanden slepen die vermeld staan in de lijst van een dialoogvenster.
:li.pictogrammen veranderen voor standaard bestandstypen (niet beschikbaar onder Warp).
:li.uw buurman de ogen uitsteken met nieuwe open/sluit vensteranimaties.
:li.de inhoud van mappen soepel laten scrollen als u de schuifbalken gebruikt.
:li.automatisch de menu optie onder de aanwijzer selecteren.
:li.de Z-volgorde van vensters veranderen zonder de focus te veranderen.
:li.een voorgrondmenu gebruiken voor invoervelden, zodat u kunt knippen, kopiren en plakken naar/van invoervelden
:eol.
:p.
Iedere functie kan apart ingeschakeld worden dus mocht een functie u
niet bevallen dan kunt u haar uitschakelen.
:p.
NPS WPS verbergt zijn venster wanneer het wordt opgestart. Gebruik het
Taakoverzicht om het instellingen notitieblok naar voren te halen. Hierin
kunt u de functies naar keuze aan- of uitzetten.
:p.
:h1 x=right y=top width=70% height=100% group=1.Veranderingen
:p.
:hp7.Veranderingen sinds versie 1.81:ehp7.
:p.
Een installatiescript (INSTALL.CMD) is toegevoegd. Ook zijn nu er meer talen
beschikbaar. Venster animaties gemaakt door Hidemasa 'Mutchie' Muta en Shinji
'N.P.S.' Takasugi zijn toegevoegd (voordien waren zij apart verkrijgbaar).
De NPS WPS executable zelf is niet veranderd, d.w.z. heeft geen nieuwe
mogelijkheden.
:h1 x=right y=top width=70% height=100% group=1.Installatie
:p.
:hp7.Installatie:ehp7.
:p.
Installeren gaat vrij simpel. U kunt dubbelklikken op het
pictogram INSTALL.CMD of u kunt een OS/2 Opdrachtaanwijzing
openen en dan INSTALL.CMD intypen gevolgd door een druk op
de Enter-toets. Als u over NPS WPS beschikt op floppy disk
of CD-ROM kunt u ook direct daarvandaan installeren. In dat geval
vraagt het installatieprogramma u naar een directory waarna
de benodigde bestanden ernaartoe zullen worden gekopierd.
Mocht de directory niet bestaan dan wordt deze (en eventuele
andere in het pad dat u opgaf) automatisch aangemaakt.
:p.
NPS WPS :hp8.verandert niets:ehp8. aan uw CONFIG.SYS, OS2.INI, OS2SYS.INI,
enz. Het installatieprogramma doet niets zonder uw uitdrukkelijke
toestemming. U kunt het dus rustig opstarten zonder het script
te hoeven te bekijken. INSTALL.CMD vraagt eerst welke taalversie
van NPS WPS u wilt. Daarna kunt u de directory invoeren van waaruit
u NPS WPS wilt gebruiken. U kunt ook op Enter drukken om de
huidige directory te gebruiken. Het installatieprogramma gaat
dan de taalstrings compileren. Dit kan een paar seconden duren.
:p.
Als NPS WPS eenmaal genstalleerd is, zal het ook de volgende keren
opgestart worden wanneer u OS/2 opstart. Als u dit liever niet
hebt, moet u het NPS WPS programma object uit de "Opstarten" map
verwijderen.
:p.
:hp7.Verwijderen:ehp7.
:p.
Na installatie wordt er automatisch een pictogram
"NPS WPS verwijderen" aangemaakt in de NPS WPS map. Door hierop
te dubbelklikken wordt alles (na bevestiging) automatisch opgeruimd.
N.B.: NPS WPS moet eerst afgesloten worden voordat u het pictogram
kunt gebruiken.
:p.
:h1 x=right y=top width=70% height=100% group=1.Tips en hints
:p.
Niet iedereen heeft altijd zin om de handleiding door te lezen
Daarom hier even in het kort de allerbelangrijkste punten. Niet
overslaan dus!
:ul.
:lp. 
Wanneer NPS WPS opgestart is (b.v. vlak na de installatie), start
NPS WPS in de achtergrond. Soms, als veel opties uit zijn
geschakeld, ziet u dus niet eens dat NPS WPS gestart is.
Wilt u nu opties (zoals vensterschaduwen) aanzetten, dan moet
u NPS WPS naar voren halen. B.v. door te drukken op Ctrl-Esc
en daarna te dubbelklikken op de regel "NPS WPS Enhancer".
:lp.
:hp2.LET OP!:ehp2. Een veelgemaakte fout is dat men hierna
het configuratiescherm van NPS WPS weg wil klikken. Dit is niet
juist want daardoor wordt NPS WPS :hp5.afgesloten:ehp5.. In plaats daarvan
moet u op het hokje 'Minimaliseren' klikken, d.w.z de knop
tweede van rechts, rechtsboven in het venster.
:lp.
Als u merkt dat er 'rommel' op het scherm achterblijft als u
b.v. vensters met schaduwen versleept, dan kan het zijn dat er
een bug zit in de driver voor uw grafische kaart. Geen paniek,
daar is rekening mee gehouden. Open dan het configuratievenster
van NPS WPS. Op twee plaatsen (tabblad Beeldscherm en tabblad
Overig) staat er een aankruisvakje "Aanpassing aan bugs in
Video Driver". Probeer of hiermee het probleem verholpen is.
:lp.
Lukt het niet om het installatieprogramma van het BonusPak of het
object "Multimedia-toepassingen Installeren" te openen, dan
kan dat kloppen: de sluitknop van NPS WPS veroorzaakt dit probleem.
Oplossing: de sluitknop-optie even uitschakelen, wat u wilt
installeren gewoon installeren en daarna de sluitknop weer aan.
:lp.
Met NPS WPS kunt u aan de rechterkant van een venster een sluitknop
plaatsen. Sommige mensen hebben een sluitknop liever aan de linkerkant
van het venster of zelfs aan beide kanten een sluitknop.
Hiervoor kunt u het shareware programma Xit gebruiken. NPS WPS bevat
ook het ZIP bestand CB_BMPS.ZIP. Deze bevat een aantal plaatjes (bitmaps)
die u kunt gebruiken als de sluitknop van NPS WPS u niet bevalt. Of
gebruikt u liever een zelfgemaakte sluitknop? Kopieer gewoon de bitmap van
uw keuze over het bestand NPSWPSCB.BMP en compileer de resource file
opnieuw:
:p.
:font facename='Courier' size=14x8.
  RC NPSWPSNL.RC NPSWPS.DLL
:font facename='default'.

:lp.
Als RC.EXE (normaliter aangetroffen in de \OS2 directory) niet gevonden
kan worden dient u "Onderdelen Instaleren" te gebruiken om het te
installeren. Vink daartoe de optie "Objectmodules samenvoegen" uit
het menu "Extra Systeemprogramma's" af.
:lp.
In sommige gevallen levert NPS WPS problemen op in combinatie met
een ander programma, bijvoorbeeld als beiden hetzelfde doen.
Bij PC/2 (Copyright Stangl Roman) doet "Sliding Focus" precies
hetzelfde als "Venster bij aanwijzer activeren" van NPS WPS.
Opgepast dus.
:lp. 
Om bij het vorige punt aan te sluiten: NPS WPS is getest met 
FixPak 17 maar het lijkt erop dat u beter niet de optie
"Venster in zijn geheel slepen" kunt gebruiken in combinatie de
regel 
:font facename='Courier' size=14x8.
SET PM_DYNAMIC_DRAG=ON
:font facename='default'.
in uw CONFIG.SYS. Beiden doen hetzelfde, alleen is IBM's implementatie
iets grondiger.
:lp.
Problemen? Probeer de nieuwste versie te vinden of stuur een mailtje.
:eul.  
:p.
:h1 x=right y=top width=70% height=100% group=1.Bekende problemem
:p.
Op de eerste plaats, indien u bemerkt dat het systeem vastloopt of
bevriest, schakel dan alle opties uit. Als het probleem verdwenen
is dan is de kans groot dat een van de opties het probleem veroorzaakten. 
:p.
Als NPS WPS zo genstalleerd is dat het bij opstarten automatisch
gestart wordt wil het gebeuren dat de Workplace Shell op sommige systemen
vastloopt. Verplaats dan het programma-object van NPS WPS van de Opstarten
map maar een andere locatie. Dit probleem doet zich niet voor onder OS/2 2.x en ook niet nadat de Workplace Shell volledige genitialiseerd is. Mogelijk ligt het probleem in Warp.
:p.
Als de optie "Venster bij aanwijzer activeren" aan staat en tevens de
waarde van "Wachttijd" op 0 staat, kan het soms gebeuren dat
herhaaldelijk openen en sluiten van WIN-OS/2 vensters het systeem
doet vastlopen. Als dit probleem zit voordoet, zet dan de wachttijd
op een waarde hoger dan 0.
:p.
De hierboven genoemde instellingen kunnen er ook voor zorgen dat
de performance van het systeem slecht is als u een screen saver
gebruikt. Ook hier zou het zetten van de wachttijd op een waarde groter
dan 0 het probleem op kunnen lossen. 
:p.
Op sommige systemen kan de optie "Pictogrammen in matrixvorm
rangschikken" ervoor zorgen dat MVDM niet meer wil opstarten. Dit
probleem komt zelden voor, ik kan de oorzaak dus niet vinden.
:p.
Sommige gebruikers hebben gemeld dat "Pictogrammen in matrixvorm
rangschikken" ook ervoor zorgt dat het lettertype van de titelbalk
verandert in het standaard systeem lettertype.
:p.
De posities van mappen op het scherm worden niet opgeslagen als
de mappen weer geopend worden voordat de sluit-vensteranimatie is
afgelopen.
:p.
Als "Sluitknoppen" gebruikt worden, kan MINSTALL.EXE, het
installatieprogramma van MMPM/2 (Multimedia), op sommige systemen
geen venster openen.

:h1 x=right y=top width=70% height=100% group=1.Distributie
:p.
U kunt deze software distribueren zo lang alle bestanden bij elkaar
blijven, zoals ZIP- of LZH-archieven, een floppy disk of een CD-ROM directory.
Bestanden mag u alleen veranderen als dit voor een vertaling is. In dat
geval moet u README aanpassen en aangeven wie en wanneer de software heeft
aangepast.
:p.

:h1 x=right y=top width=70% height=100% group=1.Overzicht van functies
:p.
NPS WPS Enhancer bevat talloze mogelijkheden waarmee u de OS/2 Werkplek
mee kunt uitbreiden en verbeteren.
:p.
Leest u de beschrijvingen door om te zien welke mogelijkheden u bevallen, 
of nog beter, probeer ze uit! De opties zijn meteen aktief wanneer u
ze selecteert.
:h2 x=right y=top width=70% height=100% group=1.Selecteren/Sorteren
:p.
De "Selecteren/Sorteren" opties geven u meer mogelijkheden bij het
werken met mappen.
.** :artwork align=center name='bmp\pmgrab03.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Sorteren op extensie
:p.
Deze optie voegt "Extensie" toe aan het "Sorteren" vervolgmenu van het
systeemmenu of het voorgrondmenu van mappen. Door de "Extensie" optie
te kiezen in het vervolgmenu kunt u objecten in mappen laten sorteren op
de extensie van hun bestandsnamen.
.** :artwork align=center name='bmp\pmgrab01.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Selecteren via objectnaam
:p.
Met deze functie kunt u objecten in een map op naam selecteren. Het
voegt een optie "Naam..." toe aan het "Selecteren" vervolgmenu van het
systeemmenu of het voorgrondmenu van mappen.
  Er is geen onderscheid op hoofdletters/kleine letters. De volgende
speciale karakters kunnen gebruikt worden &colon.
:p.
'*' matcht een willekeurig aantal karakters.
.br
'*.txt' matcht 'a.txt', 'bc.txt', enz.
:p.
'?' matcht 1 karakter, maakt niet uit welke maar uitgezonderd de punt.
.br
'a.t?t' matcht 'a.txt', maar niet 'a.tt' of 'a.t.t'.
:p.
'!' betekent negatie als het het eerste karakter is van een zoekstring.
Dus '!*.txt' selecteert het object waarvan de naam '*.txt' niet matcht.
:p.
',' is een separator van meerdere sleutels.  Objects worden geselecteerd
als hun namen een van deze sleutels matcht.
:p.
'\' met een karakter erachter doet niets.  Maar '\n' betekent carriage return.
:p.
Voorbeelden&colon.
:lines.
:font facename='Courier' size=14x8.   
*.txt     &colon. Selecteert objecten waarvan de extensie 'txt' is.
!*\n*,a*  &colon. Selecteert objecten waarvan de naam geen carriage return
            bevat, en de objecten waarvan de naam met 'a' begint.
:elines.
:font facename='default'.
.** :artwork align=center name='bmp\pmgrab02.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Rangschikken Werkplek uitschakelen
:p.
Wanneer dit is geselecteerd worden de "Sorteren" en "Rangschikken"
menu opties verwijderd uit het desktop voorgrondmenu, zodat u niet per
ongeluk uw desktop in de war kunt brengen.
:p.
:h3 x=right y=top width=70% height=100% group=1.Pictogrammen in matrixvorm rangschikken
:p.
Met deze functie kunt u de objecten in een map rangschikken in de vorm
van een matrix, oftewel rooster. Het werkt alleen als de pictogrammen
in de map ingesteld staan op "Normaal" en als de pictogrammenindeling
op "Willekeurig" staat (zie de pagina "Beeld" in het instellingen notitieblok van de desktop).
:p.
"x Oorsprong" en "y Oorsprong" geven de cordinaten aan van het eerste
object, waarbij (0, 0) correspondeert met linksboven in de map. "x Afstand"
en "y Afstand" geven de afstand aan tussen de objecten.

:h2 x=right y=top width=70% height=100% group=1.Slepen
:p.
Met deze instellingen kunt u het gedrag bij het slepen van mappen en
de systeemklok benvloeden.
.** :artwork align=center name='bmp\pmgrab04.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Slepen via kader van venster
:p.
Met deze optie is het mogelijk een venster te slepen door muisknop 2
in te drukken op het kader van het venster en deze te verplaatsen. Het
veranderen van de grootte van het venster gaat nog steeds met muisknop 1.
Deze functie werkt alleen met PM vensters.
:h3 x=right y=top width=70% height=100% group=1.Map slepen via lege ruimte
:p.
Deze optie stelt u in staat om een map te verslepen door muisknop 2
in te drukken ergens op de vrije ruimte in de map en de muis vervolgens te
verslepen.
:h3 x=right y=top width=70% height=100% group=1.Systeemklok versleepbaar
:p.
Hiermee wordt het mogelijk om het venster van de systeemklok met
muisknop 2 te verplaatsen.
:h3 x=right y=top width=70% height=100% group=1.Overige mappen naar voren bij slepen object
:p.
Deze optie zorgt ervoor dat een map met geselecteerde object(en) onder
eventuele overlappende mappen wordt gestopt, wanneer de object(en)
versleept worden. Op deze manier komt de (mogelijke) bestemming voor de
object(en) naar voren. Als het aankruisvakje "Alleen wanneer Shift is
ingedrukt" is geselecteerd maakt het niet uit of de objecten wel
of niet geselecteerd zijn (u kunt namelijk objecten slepen via muisknop 2
zonder ze eerst te selecteren via muisknop 1) en wordt de map alleen naar
onderen gestopt als de Shift toets wordt ingedrukt.

:h3 x=right y=top width=70% height=100% group=1.Venster in zijn geheel slepen
:p.
Met deze optie aan worden vensters volledig verplaatst en overnieuw
getekend wanneer u ze bij hun titelbalken of met muisknop 2 versleept.
Normaliter wordt alleen een kader (rechthoek) afgebeeld bij het slepen.
ESC kan met deze optie echter niet gebruikt worden om de vorige positie
weer te herstellen. Pas op: machines met een langzamere processor en/of
grafische kaart kunnen het niet bijhouden.  Deze functie werkt alleen
met PM vensters. 

:h2 x=right y=top width=70% height=100% group=1.Aanwijzer 1
:p.
Met deze opties kunt u de beweging van de aanwijzer aanpassen en
zelfs automatiseren.
.** :artwork align=center name='bmp\pmgrab05.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Aanwijzer naar focus verplaatsen
:p.
Wanneer deze optie ingeschakeld is wordt de aanwijzer automatisch
naar een venster verplaatst als dat venster de focus krijgt.
(Als een venster de focus krijgt wordt dit het "werkvenster" en de
andere vensters worden "achtergrondvensters". Zie de Woordenlijst
in de map Bibliotheek voor uitleg over deze begrippen).
:p.
Als "Aanwijzer altijd verplaatsen" aan staat zal de aanwijzer altijd
worden verplaatst als de focus verandert. Als het aankruisvakje uit
staat zal de aanwijzer alleen verplaatst worden in de volgende gevallen&colon.
:ol compact.
:li. Een dialoogvenster of berichtenvenster wordt gecreerd.
:li. De focus wordt veranderd door dubbelklikken (b.v. het openen van een venster).
:eol.
:p.
Wilt u in een bepaald geval liever niet dat de aanwijzer wordt
verplaatst, beweeg dan de muis even snel.
:p.
Het veld "Stappen" geeft aan hoe snel de aanwijzer beweegt naar het
nieuwe venster.  Iedere stap staat voor 20 milliseconden.  "Omweg" geeft
aan hoe rechtlijnig de aanwijzer beweegt. Als dit veld op 0 staat zal de
aanwijzer linea recta naar het venster met de focus bewegen. Hogere getallen
beteken meer "willekeur", dat wil zeggen, een langere omweg.
:p.
Als "Dialoogvensters zonder knoppen negeren" aan staat, zal de aanwijzer
niet worden verplaatst naar een venster met de focus als dat venster
helemaal geen opdrachtknoppen heeft.
:p.
Als u een vinkje bij het aankruisvakje "Hoofdvenster negeren" hebt
gezet, zal NPSWPS de aanwijzer niet naar het Hoofdvenster verplaatsen
als dat de focus heeft.
:p.
Het is een goed idee om de Komeetaanwijzer te gebruiken in combinatie
met deze functie.
:p.

:h3 x=right y=top width=70% height=100% group=1.Aanwijzer kan door beeldschermrand heen
:p.
Als deze optie aan staat zal de aanwijzer "overspringen" van de ene
kant van het scherm naar de andere kant, als de aanwijzer over
beeldschermrand dreigt te gaan. "Gedeelte van rand (%):" bepaalt
hoe groot het gedeelte op de beeldschermrand is waar het overspringen
kan gebeuren, gerekend van het midden van de rand.  50% betekent het
gebied van het midden van de rand tot halverwege de hoeken. En 75%
betekent het gedeelte van het midden van de rand tot driekwart naar
de hoeken.

:h2 x=right y=top width=70% height=100% group=1.Aanwijzer 2
:p.
Met deze opties kunt u bepaalde akties met de muis op vensters en menus
instellen.
.** :artwork align=center name='bmp\pmgrab06.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Venster bij aanwijzer activeren
:p.
Deze optie zorgt ervoor dat het venster onder de aanwijzer automatisch
de focus krijgt. Uitzonderingen zijn voorgrondmenus en wanneer een muisknop
is ingedrukt. Bovendien worden vensters van Win-OS/2 sessies genegeerd.
:p.
Als het Taakoverzicht getoond wordt, wordt deze optie uitgesteld
totdat de aanwijzer over het Taakoverzicht wordt bewogen.
:p.
Met "Wachttijd" kunt u aangeven hoelang het duurt voordat het venster
onder de aanwijzer geactiveerd wordt. Als deze op 0 staat wordt het
venster onmiddelijk geactiveerd. Een waarde van 50 tot 60 wordt
aanbevolen om te voorkomen dat vensters per ongeluk geactiveerd worden.
:p.
Als "Z-volgorde vensters handhaven" aan staat wordt het venster met
de focus niet naar voren gehaald, d.w.z. niet boven alle andere vensters.
(Met "Z-volgorde" wordt bedoeld de volgorde waarop vensters schijnbaar
over elkaar liggen, als 3D-effect). 
:p.
Als "Werkplek negeren" aangekruist is, zal de Werkplek niet de focus
krijgen als de aanwijzer zich erboven bevindt.
:p.
Een nieuw op het scherm verschenen venster zal vroeger of later de
focus verliezen als de aanwijzer er niet naar toe wordt bewogen.
De optie "Alleen wanneer aanwijzer bewogen wordt" voorkomt dit, d.w.z.
een nieuw venster krijgt de focus alleen als u de aanwijzer er zelf
naartoe hebt verplaatst.

:h3 x=right y=top width=70% height=100% group=1.Automatische keuze vervolgmenu
:p.
Waneer deze functie aan staat, krijgt u menu opties te zien op het
scherm alsof muisknop 1 ingedrukt wordt gehouden. U moet nog steeds met
muisknop 1 klikken om de menu optie te daadwerkelijk te selecteren.
Voorwaardelijke vervolgmenus krijgt u alleen te zien als u de aanwijzer
beweegt over de rechter helft van de menu optie, en in dat geval wordt
het vervolgmenu (submenu) automatisch geopend. Dit maakt het navigeren
sneller en nauwkeuriger.
.** :artwork align=center name='bmp\pmgrab07.bmp'.
:h2 x=right y=top width=70% height=100% group=1.Beeldscherm
:p.
Met deze instellingen kunt u het uiterlijk van de Werkplek veranderen.
.** :artwork align=center name='bmp\pmgrab08.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Tekenen op beeldscherm
:p.
Hiermee is het mogelijk om overal op het scherm lijnen te tekenen.
Dit gaat met behulp van een bepaalde toetscombinatie. Om deze toets-
combinatie te veranderen moet u op de woorden onder het aankruisvakje
klikken terwijl u de gewenste toetscombinatie ingedrukt houdt. De toetsen
die u kunt gebruiken zijn Shift, Ctrl en Alt.  U moet minstens n van deze
toetsen gebruiken. Als u over een door OS/2 ondersteunde muis met
3 knoppen beschikt, kunt u ook muisknop 3 alleen gebruiken.
De standaard combinatie is Shift + Ctrl + Muisknop 1. 
:p.
De tekenkleur kunt u veranderen door uit het palet te kiezen. Als u op
de opdrachtknop "Scherm verversen" klikt worden alle getekende lijnen
gewist.
.** :artwork align=center name='bmp\pmgrab09.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Schaduw van vensters op Werkplek
:p.
Deze optie zorgt ervoor dat vensters schaduwen werpen op de Werkplek.
"Schaduw x" and "Schaduw y" bepalen de grootte van de schaduwen.
"Intensiteit schaduw" bepaalt hoe dicht de schaduw is.  0 is het
lichtste en 8 is het donkerste. Klik op "Scherm verversen" om het
scherm te hertekenen als u deze parameters hebt veranderd.
:p.
Een verticale zwarte lijn blijft op het scherm achter bij sommige
grafische kaarten, zoals de S3 864/964, Cirrus Logic 5426 of Matrox
video kaarten, omdat hun stuurprogramma's (drivers) een bug hebben
in de GpiBox API.  Als u dit probleem op het scherm ziet kunt u op het
aankruisvakje "Aanpassing aan bugs in Video Driver" klikken. Hierdoor wordt
het probleem omzeild.
:artwork align=center name='bmp\pmgrab10.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Willekeurige pictogrammen
:p.
:hp2.NOOT:ehp2.:hp8. - Deze functie werkt niet onder Warp.:ehp8.
:p.
Deze functie verandert het pictogram voor standaard bestanden.
Pictogrammen in NPSWPSRI.DLL worden volstrekt willekeurig uitgekozen
voor standaard bestanden. Wilt u deze pictogrammen naar eigen voorkeur
aanpassen, voegt u dan uw pictogrammen aan het bestand NPSWPSRI.RC
toe. Het formaat is als volgt&colon.
:p.
:font facename='Courier' size=14x8.
  ICON n PRELOAD IMPURE "bestandsnaam"
:font facename='default'.
:p.
n moet een uniek geheel getal groter dan 2 zijn.  Compileer vervolgens
het bestand met het volgende commando in een
OS/2-opdrachtaanwijzing&colon.
:p.
:font facename='Courier' size=14x8.
  rc npswpsri.rc npswpsri.dll
:font facename='default'.
:p.
Dit zorgt ervoor dat de nieuwe pictogrammen gebruikt worden.
:p.
:caution.
Verander niet het pictogram van NPSWPSRI.DLL via diens instellingen
notitieblok. NPS WPS wil voor NPSWPSRI.DLL een standaard pictogram
hebben.
:ecaution.

:h2 x=right y=top width=70% height=100% group=1.Animaties
:p.
Deze opties breiden de animatiemogelijkheden van vensters aanzienlijk
uit. Probeer ze maar eens uit!
.** :artwork align=center name='bmp\pmgrab11.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Vensteranimatie bij openen / sluiten
:p.
Deze functie voorziet in animaties wanneer een venster wordt geopend
of gesloten. Er zijn standaard 5 types animaties beschikbaar.
Win-OS/2 venster sessies worden niet ondersteund.
:p.
Er worden DLLs geladen voor de venster animaties wanneer NPS WPS
wordt gestart. Zie hiervoor het bestand NPSWPS.LST.  Iedere regel
in dit bestand bevat tekst die gebruikt wordt in dialoogvensters van
het NPS WPS configuratieprogramma. De vijfde en zesde string in
iedere regel van NPSWPS.LST kunnen door de gebruiker aangepast worden.
Regels die met een puntkomma beginnen zijn commentaar en worden
genegeerd door het programma.
:p.
Met het veld "Beelden tegelijk op scherm:" bepaalt u het aantal beeldjes
(frames) dat op hetzelfde moment op het scherm te zien zal zijn. Over het
algemeen geldt dat u deze waarde niet te hoog moet zetten als uw computer
minder snel is en naarmate u een lagere resolutie op het scherm heeft. 
Maar des te hoger de waarde, des te aardiger is het optische effect.
:p.
Als "Animaties met geluid" afgevinkt is wordt er een geluid gespeeld volgens
de instellingen van het Geluid notitieblok. De namen van de 'wave' bestanden
worden eenmalig ingelezen wanneer NPSWPS wordt gestart, dus als u
(de namen) van de 'wave' bestanden wilt veranderen moet u NPS WPS
overnieuw opstarten.
:p.
"Waveaudio nummer:" bepaalt welke geluidskaart wordt gebruikt voor de
geluiden bij de animaties. Nummer 1 betekent Waveaudio01, 2 betekent
Waveaudio02, enz. 
:p.
Als "Animaties bij alle vensters met kader" aan staat worden lle
vensters geanimeerd, en niet enkel die met het animatie attribuut.
:p.
Klik op "Meer instellingen" om elk van de verschillende types animaties
te configureren en aan of uit te zetten. Selecteer de naam van de animatie
om deze vervolgens te configureren.
:p.
  Als het aankruisvakje "Inschakelen" is afgevinkt zal de gekozen animatie
gebruikt worden. Uit de ingeschakelde animatie types wordt er willekeurig
n gekozen iedere keer als een venster wordt geanimeerd.
:p.
Met "Stappen" wordt het aantal stappen in de animatie ingesteld. Een
hoger getal betekent meer stappen en daardoor duurt de animatie langer.
Zet dit veld niet te hoog op een langzamere machine.
:p.
  Het veld "Hoek" bepaalt hoeveel graden de animatie moet draaien.
"Deler" bepaalt hoeveel kwadranten er gebruikt moeten worden. Op een
486DX2/66Mhz zijn getallen boven de 4 te langzaam zolang "Stappen"
op minder staat dan 25.
:p.
:h3 x=right y=top width=70% height=100% group=1.Write your own animations
:p.
Als u zelf kunt programmeren kunt u uw eigen type venster animatie maken.
NPSWPSWA.DOC bevat instructies hiervoor.  NPSWPSWA.CPP bevat de
source code voor NPSWPSWA.DLL, met daarin de standaard
venster animaties van NPS WPS.
:p.

:h2 x=right y=top width=70% height=100% group=1.Opdrachtaanwijzingen
:p.
Hiermee kunt u een aantal mogelijkheden toevoegen aan opdrachtaanwijzingen
(command line windows).
window sessions.
.** :artwork align=center name='bmp\pmgrab12.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Voorgrondmenu
:p.
:hp2.NOOT:ehp2. - :hp8.Het bestandsdialoogvenster gebruikt in deze optie 
is anders die in versie 1.73a.:ehp8.
:p.
Wanneer deze optie aan staat kunt u een voorgrondmenu openen voor OS/2-
en DOS-opdrachtaanwijzingen als u ergens in het venster met
muisknop 2 klikt. Als u vervolgens de optie "Bestandsnaam..." kiest
uit het menu verschijnt er een bestandsdialoogvenster.
:p.
Met dit venster kunt u direct bestanden openen door ze te selecteren
en vervolgens op de "Open" opdrachtknop te klikken. Met de "Namen"
opdrachtknop kunt u de bestandsnamen naar het klembord kopiren.
De bestandsnamen worden gescheiden door een spatie en bestandsnamen
die een spatie bevatten worden omgeven door dubbele aanhalingstekens.
Om een map te openen moet u de naam van de map invoeren want mappen
worden niet afgebeeld in de keuzelijst.
:p.
.** :artwork align=center name='bmp\pmgrab13.bmp'.

:h3 x=right y=top width=70% height=100% group=1.Snel markeren
:p.
Met deze optie kunt u binnen OS/2- en DOS-opdrachtaanwijzingen
tekst markeren door de muis te slepen terwijl de gespecificeerde
muisknop ingedrukt is. De geselecteerde tekst wordt dan automatisch
gekopierd naar het klembord wanneer de muisknop wordt losgelaten.
De carriage return aan het einde van de tekst wordt verwijderd.
:p.
  Om de muis/toetsencombinatie voor dit snelle markeren te wijzigen
moet u op de woorden onder het aankruisvakje voor deze functie klikken
terwijl u de gewenste toetscombinatie ingedrukt houdt. De toetsen die
u kunt gebruiken zijn Shift, Ctrl en Alt. De standaard combinatie is
Muisknop 1 zonder toetsen.

:h3 x=right y=top width=70% height=100% group=1.Snel plakken
:p.
Deze functie zorgt ervoor dat tekst uit het klembord in een OS/2 of DOS
opdrachtaanwijzing wordt geplakt wanneer de aangegeven
muis/toetsencombinatie wordt gebruikt.
  Om deze combinatie voor snel plakken te veranderen moet u onder
het aankruisvlakje van deze functie klikken (hier ziet u de huidige combinatie
staan) terwijl u de nieuwe toetscombinatie ingedrukt houdt. De toetsen die
u kunt gebruiken zijn Shift, Ctrl en Alt. Dubbelklikken en eenmaal klikken
worden als verschillende akties beschouwd. De standaard combinatie is
Muisknop 1 dubbelklik zonder toetsen.

:h2 x=right y=top width=70% height=100% group=1.Overig
:p.
Een aantal opties voor het navigeren op de Werkplek.
:p.
.** :artwork align=center name='bmp\pmgrab14.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Alternatieve toetsbezetting
:p.
NPSWPS kan aan toetsen een andere betekenis geven. Helaas werkt dit niet
altijd, sommige applicaties negeren omgezette toetsen.
  Het bestand NPSWPS.DAT bevat de toetsomzettingen. Het kan alleen gelezen
worden wanneer NPS WPS eenmaal is opgestart. Het formaat van de
omzettabel is als volgt&colon.
:p.
:font facename='Courier' size=14x8.   
[C+|C-][S+|S-][A+|A-]key [C+|C-][S+|S-][A+|A-]key
:font facename='default'.
:p.
De eerste string is de input en de tweede string is de output.
Er is geen onderscheid tussen kleine letters en hoofdletters.
'[]' betekent dat wat er tussen staat optioneel is.  '|' betekent
dat u slechts n van de twee opties mag specificeren.  'C', 'S', en
'A' zijn respectievelijk Ctrl, Shift en Alt.  '+' betekent dat de toets
moet worden ingedrukt en '-' betekent dat hij moet worden losgelaten.
'key' is ofwel een karakter of een virtuele toetsnaam.
:p.
Regels die met ';' beginnen zijn commentaar. Mocht u puntkomma's
willen omzetten, specificeert u dan "S+;" of "S-;" , afhankelijk van
uw toetsenbord.
:p.
Voorbeelden&colon.
:p.
:font facename='Courier' size=14x8.c+x s+c-delete:font facename='default'.
:p.
De input is Ctrl + 'X'.  Shift en Alt worden genegeerd omdat er geen
S+, S-, A+, of A- bij zit.  De output is Shift + DEL.  De Ctrl stand
wordt op 'uit' gezet.  De Alt stand wordt niet veranderd.
:p.
Virtuele toetsen&colon.
:sl compact.
:li.   BREAK (Alt + Pause)
:li.   BACKSPACE
:li.   TAB
:li.   BACKTAB (Shift + Tab)
:li.   NEWLINE (Enter of Return)
:li.   PAUSE
:li.   ESC
:li.   SPACE
:li.   PAGEUP
:li.   PAGEDOWN
:li.   END
:li.   HOME
:li.   LEFT
:li.   UP
:li.   RIGHT
:li.   DOWN
:li.   PRINTSCRN
:li.   INSERT
:li.   DELETE
:li.   SCRLLOCK
:li.   ENTER (Dit is de Enter of shift + Enter op het numerieke toetsenblok)
:li.   SYSRQ
:li.   F1, F2, ..., F24
:esl.
:h3 x=right y=top width=70% height=100% group=1.Toetsenbord macro's
:p.
Er zijn 3 speciale virtuele toetsen&colon.
:sl compact.
:li.   STARTRECORD
:li.   ENDRECORD
:li.   PLAYBACK
:esl.
:p.
Met de virtuele toets STARTRECORD wordt er begonnen invoer van het
toetsenbord op te slaan. Met de virtuele toets ENDRECORD wordt dit gestopt
en met PLAYBACK wordt de opgeslagen invoer weer afgespeeld in het venster.
In NPSWPS.DAT is Ctrl + '8' toegekend aan STARTRECORD, Ctrl + '9' aan
ENDRECORD en Ctrl + '0' aan PLAYBACK.

:h3 x=right y=top width=70% height=100% group=1.Taakoverzicht
:p.
De functie zorgt ervoor dat het Taakoverzicht afgebeeld wordt wanneer
beide muisknoppen tegelijk worden ingedrukt. Dit werkt in bijna alle
vensters, dus niet alleen op de Werkplek.

:h3 x=right y=top width=70% height=100% group=1.Sluitknop
:p.
Hiermee wordt er een sluitknop aan de titelbalk van vensters toegevoegd.
Als op deze knop geklikt wordt, wordt het venster gesloten. Sluitknoppen
voor systeem vensters zoals OS/2 vensters worden gemaakt in de
NPS WPS thread, daarom kunnen sluitknoppen soms eerder afgebeeld worden
dan de bijbehorende titelbalk.  Dit is geen groot probleem.
:p.
NPSWPSCB.BMP is het bitmap bestand voor sluitknoppen. Dit bestand moet
geplaatst worden in de directory waar NPSWPS.EXE staat. Wilt u een andere
sluitknop, dan kunt u NPSWPSCB.BMP aanpassen (b.v. met de pictogram-editor)
waarna NPS WPS overnieuw opgestart moet worden.
  (In NPS WPS versie 1.80 of eerder was de bitmap te vinden in NPSWPS.DLL
zodat de resource compiler gebruikt moest worden om een nieuwe DLL
aan te maken).
:p.
Sluitknoppen worden niet altijd correct afgebeeld op systemen met bepaalde
grafische kaarten, zoals de Power9000 video kaart, omdat er een bug zit in
het aansturingsprogramma (GpiDrawBits).  Als u problemen ondervindt
met de sluitknoppen, kruis dan de optie "Aanpassing aan bugs in Video Driver"
aan. De bitmap wordt dan 1 pixel in hoogte (y grootte) opgerekt.
:p.
Als u de optie "Aanpassing aan bugs in Video Driver" aanzet moet u ook
even klikken op de opdrachtknop "Scherm verversen" op de "Beeldscherm"
pagina in het NPS WPS instellingen notitieblok.

:h3 x=right y=top width=70% height=100% group=1.Uitgebreider bestandsdialoogvenster
:p.
Met deze optie is het mogelijk om bestanden te verslepen
die u geselecteerd heeft in de lijst van een standaard
bestandsdialoogvenster van een willekeurige applicatie. De bestanden
kunnen daarbij versleepd worden naar een map of gewist worden door ze
op de Vernietiger te laten vallen.
:p.
Bovendien is de menu optie "Bestandsnaam..." toegevoegd aan het
voorgrondmenu van de Werkplek.  Dit is hetzelfde bestandsdialoogvenster
zoals genoemd onder "Opdrachtaanwijzingen - Voorgrondmenu".
.** :artwork align=center name='bmp\pmgrab16.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Inhoud mappen soepel scrollen
:p.
Als deze optie aan staat wordt de inhoud van mappen pixel voor
pixel gescrolld als u de schuifbalk beweegt. Als de map een bitmap
als achtergrond heeft wordt deze bitmap bij het schuiven iedere keer
opnieuw weergegeven waardoor de map kan gaan flikkeren op het
scherm.

:h3 x=right y=top width=70% height=100% group=1.Z-volgorde venster veranderen
:p.
Met deze optie kunt u de Z-volgorde (de volgorde waarop de vensters
over elkaar liggen) veranderen met behulp van een bepaalde
muis/toetsencombinatie. "Naar voren:" is de combinatie die gebruikt wordt
om het venster n niveau naar boven te halen en "Down:" is voor
naar onderen brengen. Om deze combinaties te veranderen moet u op de
woorden klikken terwijl u de gewenste toetscombinatie ingedrukt houdt. 

:h3 x=right y=top width=70% height=100% group=1.Voorgrondmenu voor invoervelden
:p.
Wanneer deze optie aan staat wordt er een voorgrondmenu geopend voor
invoervelden wanneer muisknop 2 wordt ingedrukt. De menu opties zijn
Kopiren, Knippen en Plakken. Deze simuleren de toetscombinaties
Ctrl + Ins, Shift + Del en Shift + Ins, respectievelijk.
:artwork align=center name='bmp\pmgrab15.bmp'.

:h1 x=right y=top width=70% height=100% group=1.Teksten aanpassen
:p.
We hebben geprobeerd zoveel mogelijk de IBM terminologie aan te
houden. Niet dat die per se zo goed is, maar het grote voordeel
voor de gebruiker is consistentie. Dat wil zeggen, u kunt woorden
en begrippen die niet duidelijk zijn gemakkelijk opzoeken in
de Woordenlijst en de Hoofdindex.

Mocht u niet tevreden zijn met de vertaling dan kunt u diverse teksten
die gebruikt worden binnen NPS WPS Enhancer naar eigen voorkeur
aanpassen. De strings tussen dubbele aanhalingstekens in het bestand 
NPSWPSNL.RC kunt u met een editor bewerken en vervolgens het volgende
command invoeren in een OS/2 aanwijzing&colon.
:p.
:font facename='Courier' size=14x8.
  RC NPSWPSNL.RC NPSWPS.DLL
:font facename='default'.
:p.
Mocht u een vertaling gemaakt hebben voor een taal die nog niet
beschikbaar is dan stel ik het zeer op prijs indien u de benodigde
bestanden naar mij toe zou willen sturen. Deze kunnen dan aan
een volgende versie van NPS WPS Enhancer worden toegevoegd.
:h1 x=right y=top width=70% height=100% group=1.Credits
:p.
Stuurt u mij email (in het Engels uiteraard) als deze software u bevalt.
Uw ideen om de Workplace Shell uit te breiden zijn ook welkom. Ongeveer
10 functies in dit programma zijn afkomstig van ideen van gebruikers..
:lines.
   Shinji 'N.P.S.' Takasugi  Team OS/2 Japan
   nps1970@ibm.net
   JBD03575@niftyserve.or.jp (for Japanese users)
:elines.
:p.
Bitmaps van de Xit sluitknoppen: gemaakt door Chris Hayashida, gebruikt
met toestemming van CodeSmith Software (mshill@Direct.CA).
Extra vensteranimaties door Hidemasa 'Mutchie' Muta
(GBG00034@niftyserve.or.jp).
:p.
Dit alles werd mogelijk gemaakt door de volgende mensen:
:ul.
:li.Programmering, Engelse en Japanese localisatie: Shinji 'N.P.S.' Takasugi (nps1970@ibm.net)
:li.Duitse vertaling: Jens Berg (berg@hagenuk.de). Aanvullende vertaling
door Theo en Petra Schoegje. Originele vertaling door een onbekende auteur.
:li.REXX (un)install script, Nederlandse vertaling: Jacco de Leeuw (leeuw@fwi.uva.nl; tel. 075-6352068)
:li.REXX tips, INF conversie en nog veel, veel meer: Andy Stritof
(stritof@xnet.com)
:li.Italiaanse vertaling: Alessandro Cantatore (alexcant@mbox.vol.it)
:li.Franse vertaling: Martin Lafaix (lafaix@ibm.net)
:li.Finse vertaling: Janne Hakulinen (jhakuli@cs.joensuu.fi)
:eul.
:euserdoc.
