.****
:userdoc.
:title.  NPS WPS version 1.90 Manuel de rfrence
:h1 x=right y=top width=70% height=100% group=1.Introduction
:p.
:artwork align=center name='bmp\pmgrab00.bmp'.
:lines align=center.
Workplace Shell Customizing Program
NPS WPS Enhancer version 1.90
Copyright(C) 1995, 1996 N.P.S.
:elines.
:p.
NPS WPS Enhancer amliore l'utilisabilit et la configurabilit
d'OS/2 version 2.1 ou suprieure.  Comme ce logiciel est gratuit, il
n'y a pas de garanties.
:p.
:hp7.What's NPS WPS anyway?:ehp7.
:p.
NPS WPS adds a couple of bells and whistles to OS/2.
Functions such as a close button, shadows and spectacular
window animations haven't got any practical use really, but
many people like these 'gadgets'. Great for showing
off to colleagues who use other operating systems... &colon.&dash.)
:p.
NPS WPS is fully 'freeware', which means it's copyrighted
(Copyright(C) 1995, 1996 Shinji 'N.P.S.' Takasugi) but you can copy
and distribute it freely. Martin Lafaix did the translation into French.
:p.
Lorsque NPS WPS Enhancer est install, vous pouvez...
:ol compact.
:li.trier les objets d'un dossier par extensions.
:li.dplacer les fentres des dossiers ou de l'horloge en les faisant glisser
avec le bouton 2 de la souris.
:li.supprimer les options "Tri" et "Disposition" du menu contextuel du bureau.
:li.utiliser un menu contextuel dans les sessions OS/2 et DOS en fentre, et
ouvrir ou copier des noms de fichiers  partir de la liste des fichiers
disponibles sur le systme dans les sessions
    OS/2.
:li.afficher la liste de fentres en appuyant simultanment sur les deux
boutons de la souris  partir de presque n'importe quelle fentre.
:li.slecter des objets d'un dossier par leurs noms (les caractres
gnriques sont utilisables)
:li.raffecter les touches dans les fentres PM ou dans les sessions OS/2 en
fentre (avec possibilit de dfinir des macro-commandes temporaires).
:li.dplacer une fentre en faisant glisser son cadre avec le bouton 2
de la souris.
:li.faire que le pointeur de la souris passe d'un bord  l'autre de
l'cran.
:li.dessiner sur l'cran.
:li.disposer les objets en matrice.
:li.automatiquement dplacer le pointeur sur la plaquette active.
:li.ajouter des ombres aux fentres.
:li.ajouter un bouton "Arrt/Fermeture" aux fentres.
:li.activer automatiquement la fentre qui se trouve sous le pointeur de la
souris (en prservant si vous le voulez l'ordre des fentres).
:li.changer l'ordre des dossiers lorsque vous glissez des objets.
:li.dplacer l'intgralit des fentres au lieu des cadres lors des
oprations de dplacement.
:li.marquer et copier une zone d'une session en fentre  la souris,
sans passer par le menu systme.
:li.coller le contenu du presse-papiers dans une session en fentre
avec la souris, sans passer par le menu systme.
:li.faire glisser les fichiers qui sont affichs dans la liste des
fichiers disponibles sur le systme.
:li.changer l'icne des fichiers standards (non disponible pour Warp).
:li.admirer de nouvelles animations lors de l'ouverture/fermeture des
fentres.
:li.faire dfiler rgulirement le contenu des dossiers en utilisant les barres
de dfilement.
:li.slecter automatiquement l'option du menu situe sous le pointeur de la
souris.
:li.changer l'ordre des fentres sans changer de fentre active.
:li.utiliser un menu contextuel dans les zones d'entre pour
couper/copier/coller du texte.
:eol.
:p.
Chaque fonction peut tre individuellement active, ce qui vous permet de
n'utiliser que les fonctions qui vous intressent.
:p.
NPS WPS Enhancer cache sa fentre lors du dmarrage. Utiliser la liste de
fentres pour ouvrir son bloc-notes de paramtres.
:p.
:h1 x=right y=top width=70% height=100% group=1.Installation
:p.
:hp7.Installation:ehp7.
:p.
Installation is fairly easy. You can double click on the INSTALL.CMD icon 
or you can open an OS/2 command window, type INSTALL.CMD and then press 
the Enter key. If you got NPS WPS on floppy disk or CD-ROM, you can
install directly from that medium. In that case, the install script
will ask you for a directory and the files needed will be copied.
(Sub-)directories will be created automatically.
:p.
NPS WPS :hp8.ne modifie pas:ehp8. les fichiers CONFIG.SYS, OS2.INI,
OS2SYS.INI, etc. Also,
the installation script is not one of those which installs
stuff without asking! So, you can run it safely without
looking at the script itself. INSTALL.CMD first asks which
language version of NPS WPS you prefer. Then you can enter
a directory to which NPS WPS should be installed. You can
also press Enter to run it from the current directory. The 
installation scripts then starts to compile the text strings
for the language you chose. This may take a couple of seconds.
:p.
Once NPS WPS Enhancer has been installed it will start automatically when 
you boot OS/2.  If you do not wish it to do so you can move the NPS WPS 
Enhancer program object out of the Startup folder.
:p.
:hp7.Uninstall:ehp7.
:p.
After installation you will find an icon "Uninstall NPS WPS"
in the NPS WPS folder. By double-clicking on this icon, NPS WPS
will delete itself, after confirmation. N.B.: You will have to
close NPS WPS before you can use this icon.
:p.
:h1 x=right y=top width=70% height=100% group=1.Tips and hints
:p.
Not everyone likes to dig through a lengthy manual. So here
are the most important points. Don't skip these!
:ul.
:lp. 
When NPS WPS is started (e.g. just after installation), NPS WPS 
starts in the backgrond. Sometimes, when many functions are
disabled, you can't even notice that NPS WPS is started.
So when you want to enable functions (such as windows animations)
you'll have get NPS WPS to the foreground. E.g. through pressing
Ctrl-Esc and then double clicking on the line "NPS WPS Enhancer"
:lp.
:hp2.PLEASE NOTE!:ehp2. An often made mistake is that one closes
the NPS WPS configuration window. This is incorrect because the
the program will be terminated. Instead, you should click
on the "Minimize" button, the one second from the right,
top right corner of the window.
:lp.
If you notice "garbage" left on the screen, e.g. when you
are dragging windows with shadows, it could be that there's a bug
in the driver for your graphics card. Don't panic, it can be
resolved. Open the configuration window of NPS WPS. On two tabs
(Screen View and Others) there's an "Adaptation to Video Driver
Bugs checkbox. Try these to solve the problem.
:lp.
If you notice that you can't start the installation program of the
BonusPak and the "Multimedia Application Install" object, then
you're right: NPS WPS's close buttons are the culprit. Solution:
temporarily disable the close buttons, install whatever you
want and then enable the close buttons again.
:lp.
NPS WPS can optionally add a close button to the title bar of the window. Some people like a close button on the left hand side of a window, or even
two close buttons on either side. You can use the shareware program Xit
for that. Included with NPS WPS is the file CB_BMPS.ZIP. It contains a couple
of bitmaps which you can use if you don't like the appearance of NPS WPS's
close button.  Or would you rather use your own design? Just copy the
bitmap of your choice over NPSWPSCB.BMP and compile the resource file:
:p.
:font facename='Courier' size=14x8.
  RC NPSWPSFR.RC NPSWPS.DLL
:font facename='default'.

:lp.
If RC.EXE (normally in the \OS2 directory) cannot be found
you need to use "Selective Install" to install it. Choose
the option "Link object modules" from the "Optional System
Utilities".
:lp.
In some cases you might encounter problems when you run
NPS WPS with other programs, for instance if they have
overlapping features. In PC/2 (Copyright Stangl Roman) 
"Sliding Focus" means the same as NPS WPS' "Activate Window
at Pointer". So, watch out.
:lp. 
To add to the previous point: NPS WPS has been tested with FixPak 17. 
It seems that you better not use the "Full Window Drag" option in combination 
with the line
:font facename='Courier' size=14x8.
SET PM_DYNAMIC_DRAG=ON
:font facename='default'.
in your CONFIG.SYS. Both seem to do the
same thing, but IBM's implementation seems to be a bit more thorough.
:lp.
Problems? Try to find the latest version or send some email.
:eul.  
:h1 x=right y=top width=70% height=100% group=1.Problmes connus
:p.
En premier lieu, si vous remarquez que votre systme "plante" ou se
bloque parfois, dslectez toutes les options de NPS WPS Enhancer.  Si
le problme disparat alors, une seule option est probablement la
cause de votre problme.. 
:p.
Avec certains systmes, activer NPS WPS Enhancer au lancement du 
systme bloque le Shell du bureau lectronique.  Dans ce cas, dplacez
l'objet NPS WPS Enhancer du dossier Lancement vers un autre dossier. 
Ce problme ne concerne pas les utilisateurs d'OS/2 2.x, et ne se 
produit pas non plus aprs que le Shell du bureau lectronique ait 
termin son initialisation.  Il me semble donc que ce soit un problme
d  Warp lui-mme.
:p.
 Si l'option "Activer la fentre place sous le pointeur" est active
et si l'option "Dlai" a pour valeur 0, des ouvertures/fermetures trop
frquentes de fentres Win-OS/2 peuvent parfois conduire  un blocage.
Si ce problme survient, spcifiez un dlai non nul.
:p.
Les paramtres prcdents peuvent aussi dgrader fortement les 
performances du systme si vous utilisez un conomiseur d'cran. 
Spcifier un dlai non nul doit corriger ce problme.
:p.
Avec certains systmes, l'option "Espacer rgulirement les icnes"
empche l'excution des sessions DOS.  C'est un problme trs rare,
dont je n'arrive pas de ce fait  trouver la cause.
:p.
Certains utilisateurs ont aussi rapport que cette mme option
"Espacer rgulirement les icnes" modifiait la police utilise pour
la barre de titre des fentres.
:p.
La fonction "Slection par nom d'objet" ne peut slecter des objets
dont le nom contient un caractre invalide pour les fichiers, comme
'/'.
:p.
Les dossiers ne peuvent sauvegarder leurs positions s'ils sont
rouverts avant que l'animation de fermeture ne soit termine.
:p.
Si l'option "Bouton d'Arrt/Fermeture" est slecte, MINSTALL.EXE, 
l'objet Installation d'applications Multimdia" ne peut s'ouvrir avec 
certains systmes. Quelques utilisateurs ont aussi rapport que cette option
gnait certaines applications OS/2 plein cran.

:h1 x=right y=top width=70% height=100% group=1.Distribution
:p.
Vous pouvez distribuer ce logiciel pour autant que tous les fichiers
restent groups (dans un fichier archive ZIP, LZH, ... ou sur une 
disquette ou un CD-ROM).  La seule modification autorise des fichiers
est la traduction.  Dans ce cas, vous devez inclure en tte du fichier
README par qui (et quand) a t modifi le logiciel.
:p.

:h1 x=right y=top width=70% height=100% group=1.Liste des fonctions
:p.
NPS WPS Enhancer is loaded with options for customizing and enhancing the
way your OS/2 desktop behaves.
:p.
Read through the descriptions to see what you may like, but for more fun, 
try them out!  The feature are enabled when you select them, so check a 
feature, try it and see if you like it.
:h2 x=right y=top width=70% height=100% group=1.Dossiers
:p.
The Dossiers options give you additional control when working with folders.
.** :artwork align=center name='bmp\pmgrab03.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Tri par extension
:p.
Cette option ajoute "Par extension" au sous-menu "Tri" des menus
systmes et contextuels des dossiers, ce qui vous permet de trier les
objets contenus suivant leurs extensions.
.** :artwork align=center name='bmp\pmgrab01.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Slection par nom d'objet
:p.
Cette fonction vous permet de slecter des objets d'un dossier
suivant leurs noms.  Elle ajoute une option "Fichier..." dans le
sous-menu "Slection" du menu systme ou contextuel des dossiers.   
Les majuscules/minuscules ne sont pas diffrencies.  Les caractres
suivants ont une signification particulire&colon.
:p.
'*' correspond  zro ou plus caractres quelconques.
.br
'*.txt' slectera 'a.txt', 'bc.txt', etc.
:p.
'?' correspond  un (et un seul) caractre (mais pas  un point).
.br
'a.t?t' slectera 'a.txt', mais pas 'a.tt' ou 'a.t.t'.
:p.
'!' correspond  la ngation, si c'est le premier caractre de la chane 
rechercher. Ainsi, '!*.txt' slectera tous les objets dont le nom ne
correspond pas  '*.txt'.
:p.
',' spare les chanes  rechercher, dans le cas d'une recherche 
multiple.  Les objets sont slects s'ils correspondent  au moins 
l'une des chanes de recherche.
:p.
'\' annule la signification particulire du caractre suivant (mais '\n'
correspond  un passage  la ligne)
:p.
Exemples&colon.
:lines.
:font facename='Courier' size=14x8.   
*.txt    : slecte les objets dont l'extension est 'txt'
!*\n*,a* : slecte les objets dont le nom ne contient pas un passage 
           la ligne, et les objets dont le nom commence par 'a'.
:elines.
:font facename='default'.
.** :artwork align=center name='bmp\pmgrab02.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Dsactiver Tri et Disposition pour le bureau
:p.
Lorsque cette case  cocher est slecte, les items "Tri" et
"Disposition" sont retirs du menu contextuel du bureau, ce qui permet
d'viter une rorganisation involontaire du bureau.
:p.
:h3 x=right y=top width=70% height=100% group=1.Espacer rgulirement les icnes
:p.
Ce paramtre permet d'espacer rgulirement les objets d'un dossier,
comme dans une matrice ou une grille.  Cela ne fonctionne que si le
dossier visualise les objets avec des icnes normales et si le format
"Libre" est activ (reportez-vous si besoin  la page Visualisation
du bloc-notes Paramtres du dossier).
:p.
"Origine x" et "Origine y" indiquent les coordonnes du premier
objet, (0, 0) tant le sommet haut gauche du dossier.  "Largeur"
et "Hauteur" indiquent la distance entre objets.
:h2 x=right y=top width=70% height=100% group=1.Glisser
:p.
The Drag options allow you to customize the way folders and the System Clock
appear during drag operations.
.** :artwork align=center name='bmp\pmgrab04.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Dplacement par les cadres
:p.
Cette option permet de dplacer une fentre en faisant glisser son
cadre avec le bouton 2 de la souris.  Il est toujours possible de
modifier la taille de la fentre en employant le bouton 1.  Cette
option fonctionne seulement pour les fentres PM.
:h3 x=right y=top width=70% height=100% group=1.Dplacement des dossiers
:p.
Cette option vous permet de dplacer un dossier en cliquant sur un
espace libre du dossier avec le bouton 2 de la souris et faisant
glisser.
:h3 x=right y=top width=70% height=100% group=1.Dplacement de l'horloge
:p.
Cette option vous permet de dplacer l'horloge systme en faisant
glisser sa fentre avec le bouton 2 de la souris.
:h3 x=right y=top width=70% height=100% group=1.Voir les dossiers lors des glisser/lcher
:p.
Cette option fait passer un dossier contenant des objets slects
sous les dossiers qu'il recouvrait lorsque vous faites glisser ses
objets.  Si la case  cocher "Uniquement lorsque Maj est appuye" est
active, le fait qu'il y ait ou non des objets slects n'est pas pris
en compte -- le dossier ne passera sous les autres dossiers que si la
touche Maj est presse.

:h3 x=right y=top width=70% height=100% group=1.Dplacement des fentres entires
:p.
Lorsque cette option est active, la totalit de la fentre sera
dplace et raffiche lorsque vous ferez glisser la barre de titre de
la fentre avec le bouton 2 de la souris, au lieu de l'habituel cadre.
Dans ce cas, la touche chap ne permet pas de revenir  la position
antrieure.  Notez que des systmes lents ou avec des cartes d'cran
lentes ne peuvent redessiner frquemment l'cran.  De plus, cette
option fonctionne seulement avec les fentres PM. 

:h2 x=right y=top width=70% height=100% group=1.Pointeur 1
:p.
These options allow you to customize and automate the movement of the mouse
pointer.
.** :artwork align=center name='bmp\pmgrab05.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Move Pointer to Focus
:p.
Lorsque cette option est active, le pointeur de la souris sera
automatiquement dplac vers les fentres qui deviennent actives.  Si
l'option "Toujours dplacer le pointeur" est slecte, le pointeur
sera dplac chaque fois qu'une fentre deviendra active.  Si cette
option n'est pas slecte, le pointeur sera dplac dans les cas
suivants:
:ol compact.
:li. Une fentre de dialogue ou de message est cre.
:li. Une fentre devient active suite  un double clic (par exemple lors de
l'ouverture d'un objet).
:eol.
:p.
Pour faire en sorte que le pointeur ne soit pas automatiquement
dplac, bougez rapidement la souris lorsque le pointeur est amen 
vers la plaquette active.
:p.
La zone d'entre "Pas" dtermine la vitesse  laquelle le pointeur
se dplacera vers la nouvelle fentre.  Un pas gale 20
millisecondes.  "Coef. ala."  dfini le cot alatoire du mouvement
du pointeur.  S'il est nul, le pointeur ira directement vers la
nouvelle fentre active.  Plus le coefficient est lev, plus le
mouvement est alatoire.
:p.
Si "Ignorer les fentres sans plaquettes" est slect, le pointeur
ne sera pas dplac vers une fentre active qui n'a pas de plaquettes.
:p.
Si "Ignorer les tableaux de bords" est slect, les tableaux de
bords et leurs tiroirs seront ignors.
:p.
Vous pouvez si vous le souhaitez activer le pointeur comte avec
cette fonction.
:p.

:h3 x=right y=top width=70% height=100% group=1.Passer le pointeur d'un bord de l'cran  l'autre
:p.
Lorsque cette option est slecte, le pointeur passera d'un bord de
l'cran au bord oppos.  La "Zone effective" dtermine la taille de la
zone qui permet le passage d'un bord  l'autre, en partant du milieu
du bord.  50% signifie qu'une zone centre au milieu du bord, et d'une
taille correspondant  la moiti de celle du bord sera effective.  75%
signifie qu'une zone centre au milieu du bord et d'une taille
correspondant aux trois quarts de celle du bord sera effective, etc.

:h2 x=right y=top width=70% height=100% group=1.Pointeur 2
:p.
These options allow you to control mouse actions with windows and menus.
.** :artwork align=center name='bmp\pmgrab06.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Activer la fentre place sous le pointeur
:p.
Cette fonction active automatiquement les fentres qui se trouvent
sous le pointeur de la souris.  Elle est dsactive lorsqu'un menu
contextuel est affich ou si un des boutons de la souris est press.
Les fentres Win-OS/2 sont ignores.
:p.
Si la liste de fentres est affiche, cette fonction est suspendue 
jusqu' ce que le pointeur de la souris soit dplac sur la liste de 
fentres.
:p.
Le "Dlai" dtermine le laps de temps qui s'coule avant que la
fentre place sous le pointeur de la souris ne soit active.  S'il
est nul, la fentre est active instantanment.  Une valeur de 50-60
est conseille si vous ne souhaitez pas activer une fentre
accidentellement.
:p.
Si l'option "Prserver l'ordre des fentres" est slecte, la
fentre active n'est pas amene au premier plan. 
:p.
Si l'option "Ignorer le bureau" est slecte, le bureau ne sera pas
activ lorsque le pointeur passera dessus.
:p.
Les fentres nouvellement cres seront rapidement dsactives si le
pointeur de la souris ne se trouve pas sur elles.  L'option
"Uniquement lorsque le pointeur est dplac" empche une telle
dsactivation si vous ne dplacez pas le pointeur de la souris.  Si 
l'option "Amener le pointeur sur la plaquette active" est active, 
cette option est inoprante.

:h3 x=right y=top width=70% height=100% group=1.Slection automatique des options des menus
:p.
Lorsque cette option est active, l'option de menu place sous le
pointeur de la souris est pr-slecte.  Vous devez cependant encore
cliquer pour valider l'option.  Les menus en cascade conditionnelle
sont ouverts si le pointeur est plac sur la moiti droite de
l'option.  Cette fonction facilite et acclre l'utilisation des
menus.
.** :artwork align=center name='bmp\pmgrab07.bmp'.
:h2 x=right y=top width=70% height=100% group=1.cran
:p.
These options allow you to enhance the appearance of the desktop.
.** :artwork align=center name='bmp\pmgrab08.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Dessiner sur l'cran
:p.
Cette fonction vous permet de dessiner partout sur l'cran en
utilisant une combinaison de touche clavier/souris.  Pour modifier la
combinaison permettant de dessiner, positionnez le pointeur sur le
texte plac sous la case  cocher, et pressez la combinaison
souhaite.  Les touches autorises sont Maj, Ctrl et Alt.  Vous devez
presser au moins l'une d'entres elles.  La combinaison par dfaut est
Maj+Ctrl+Bouton 1. 
:p.
Vous pouvez modifier la couleur de trac en la slectant dans la
liste propose. Slectez "Redessiner l'cran" pour supprimer tous les
tracs.
.** :artwork align=center name='bmp\pmgrab09.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Ombrer les fentres sur le bureau
:p.
Cette option ajoute une ombre aux fentres, qui se projette sur le
bureau.  "Largeur" et "Hauteur" dterminent la taille de l'ombre.
"Densit de l'ombre" dtermine l'"intensit" de l'ombre.  0 est la
plus lgre, et 8 la plus forte.  Slectez "Redessiner l'cran" pour
ractualiser le contenu de l'cran aprs avoir modifi ces paramtres.
:p.
Une ligne noire verticale peut subsister sur l'cran lorsque le 
systme est quip d'une carte d'cran S3 864/964, Cirrus Logic 5426 ou
Matrox,  cause d'une bogue (de l'API GpiBox) dans le pilote de la carte
d'cran.  Si ce problme apparat, slectez l'option "Prendre en compte les
pilotes dfectueux".
:artwork align=center name='bmp\pmgrab10.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Icnes alatoires
:p.
:hp2.NOTE:ehp2.:hp8. - Cette fonction n'est pas disponible avec Warp.:ehp8.
:p.
Cette fonction modifie l'icne des fichiers standards.  Les icnes
contenues dans NPSWPSRI.DLL sont attribues alatoirement  chaque
fichier standard.  Pour adapter les icnes, modifiez NPSWPSRI.RC pour
y inclure vos icnes.  Le format est&colon.
:p.
:font facename='Courier' size=14x8.
  ICON n PRELOAD IMPURE "nom de fichier"
:font facename='default'.
:p.
n doit tre suprieur ou gal  2, et doit tre en squence.  Entrez
ensuite la commande suivante  une invite OS/2&colon.
:p.
:font facename='Courier' size=14x8.
  rc npswpsri.rc npswpsri.dll
:font facename='default'.
:p.
Ceci activera les nouvelles icnes alatoires.
:p.
:caution.
Ne modifiez pas l'icne de NPSWPSRI.DLL  partir de son bloc-notes
Paramtres.  NPS WPS Enhancer s'attend  ce que NPSWPSRI.DLL ait une
icne standard.
:ecaution.

:h2 x=right y=top width=70% height=100% group=1.Animation
:p.
These options allow you to enhance the window animation for opening and 
closing windows.  Try then and you will like them!
.** :artwork align=center name='bmp\pmgrab11.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Animer l'ouverture et la fermeture des fentres
:p.
Cette fonction amliore les animations utilises lors de l'ouverture
ou la fermeture des fentres.  Il y a 5 types diffrents d'animations
disponibles.  Les fentres WIN-OS/2 ne sont pas animes.
:p.
Les DLLs (librairies) qui contiennent les animations sont charges
lors du lancement du programme, conformment au contenu du fichier
NPSWPS.LST.  Les cinq et siximes chanes de caractres de chaque
ligne de NPSWPS.LST, qui spcifient ce qui sera affich dans la
fentre de paramtres, peuvent tre modifies par l'utilisateur.  Les
lignes qui commencent par un point-virgule sont des commentaires, et
sont ignores.
:p.
La zone d'entre "Nombre de traces" spcifie le nombre de traces
affiches  un mme moment.
In general, this value should not be set too high for slow
machines or low resolutions. But the higher the value, the nicer the 
optical effect.
:p.
Si l'option "Animations sonores" est coche, un fichier audio sera
jou conformment aux paramtres de l'objet Son du dossier
Configuration du Systme.  Le nom du fichier audio jou est lu lors du
lancement de NPS WPS Enhancer, donc, si vous modifiez ce fichier, 
quittez et relancez NPS WPS Enhancer.
:p.
La zone d'entre "Index Waveaudio" dsigne la carte audio qui doit 
tre utilise.  Une valeur d'index de 1 signifie Waveaudio01, une 
valeur de 2 signifie Waveaudio02, etc. 
:p.
Si l'option "Toutes les fentres" est coche, toutes les fentres
seront animes, pas seulement celles qui possdent l'attribut
d'animation.
:p.
Slectez "Paramtres..." pour configurer chaque type d'animation et
spcifier s'ils sont actifs ou non.  Slectez le nom de l'animation 
que vous voulez paramtrer.
:p.
Si l'option "Active" est coche, l'animation sera utilise.  Lors 
de l'ouverture ou de la fermeture d'une fentre, une animation est 
choisie au hasard parmi celles qui sont actives.
:p.
Le "Pas" indique le nombre d'tapes de l'animation.  Un nombre plus
lev signifie plus d'tapes, et l'animation prendra plus de temps.
Faites attention lorsque vous spcifiez ce paramtre pour des machines
lentes -- un nombre de pas lev peut tre long  dessiner.
:p.
"Angle" dtermine le nombre de degrs de rotation effectus par
l'animation.  "Diviseur" indique le nombre de quadrants  utiliser.
Une valeur suprieure  4 est trop lente,  moins que le nombre de pas
soit infrieur  25 sur un 486DX2/66Mhz.
:p.
:h3 x=right y=top width=70% height=100% group=1.Write your own animations
:p.
Si vous pouvez crer une librairie dynamique, essayez de crer vos
propres animations.  NPSWPSWA.DOC indique comment procder.
NPSWPSWA.CPP contient le code source de NPSWPSWA.DLL, la bibliothque
d'animation standard de NPS WPS Enhancer.
:p.

:h2 x=right y=top width=70% height=100% group=1.Sessions VIO
:p.
The command window options allow you to enhance the properties of command
window sessions.
.** :artwork align=center name='bmp\pmgrab12.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Menu Contextuel
:p.
:hp2.NOTE:ehp2. - :hp8.La fentre d'ouverture de fichier appele par cette
option diffre de celle de la version 1.73a.:ehp8.
:p.
Lorsque cette option est active, un menu contextuel est affich
pour les sessions OS/2 et DOS en fentre lorsque le bouton 2 de la
souris est press n'importe o dans la fentre.  Si l'option
Fichier... du menu est slecte, une fentre d'ouverture de fichier
apparatra.
:p.
Cette fentre d'ouverture de fichier vous permet d'ouvrir
directement des fichiers en les spcifiant et en slectant la
plaquette "Ouverture".  La plaquette "Presse-papiers" permet de copier
les noms des fichiers dans le presse-papiers.  Chaque nom de fichier
est spar des autres par des espaces, et les noms de fichiers qui
contiennent des espaces sont entours par des guillemets.
:p.
Pour ouvrir un dossier, vous devez spcifier le nom du dossier,
parce que les dossiers ne sont pas lists par la fentre d'ouverture
de fichier.
:p.
.** :artwork align=center name='bmp\pmgrab13.bmp'.

:h3 x=right y=top width=70% height=100% group=1.Marquage tendu
:p.
Cette option vous permet d'activer le mode Marquage des sessions
OS/2 et DOS en fentre en pressant le bouton spcifi de la souris et
en faisant glisser.  Le texte slect est automatiquement copi dans
le presse-papiers lorsque le bouton de la souris est relch.  Le
retour chariot final du texte copi est supprim.
:p.
Pour modifier la combinaison permettant d'activer le marquage,
positionnez le pointeur sur le texte plac sous la case  cocher, et
pressez la combinaison souhaite.  Les touches autorises sont Maj,
Ctrl et Alt.  La combinaison par dfaut est Bouton 1.

:h3 x=right y=top width=70% height=100% group=1.Collage rapide
:p.
Cette option fait que le contenu du presse-papiers est coll vers
une session OS/2 ou DOS en fentre lorsque la combinaison
clavier/souris spcifie est employe.
Pour modifier la combinaison permettant d'activer le collage rapide,
positionnez le pointeur sur le texte plac sous la case  cocher, et
pressez la combinaison souhaite.  Les touches autorises sont Maj,
Ctrl et Alt.  La combinaison par dfaut est de cliquer deux fois.

:h2 x=right y=top width=70% height=100% group=1.Autre
:p.
These options give you ways to make desktop navigation easier and faster.
:p.
.** :artwork align=center name='bmp\pmgrab14.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Key Translation
:p.
Le programme convertira les combinaisons de touches.  Hlas! cette
fonction n'est pas parfaite ; certaines applications ignorent les
touches converties.
Le fichier NPSWPS.DAT est utilis pour dcrire les conversions des
touches.  Ce fichier est lu lors du lancement de NPS WPS Enhancer. Le
format de la table de translation des touches est le suivant&colon.
:p.
:font facename='Courier' size=14x8.   
[C+|C-][S+|S-][A+|A-]touche [C+|C-][S+|S-][A+|A-]touche
:font facename='default'.
:p.
La premire chane est l'entre, et la seconde chane est la sortie.
Les diffrences majuscules/minuscules ne sont pas prises en compte.
'[]' signifie que le contenu est optionnel.  '|' signifie que vous
pouvez spcifier l'une des deux options, mais pas les deux.  'C', 'S'
et 'A' sont Ctrl, Maj (Shift) et Alt.  '+' signifie que la touche est
appuye, '-' qu'elle ne l'est pas.  'touche' est soit un caractre,
soit une touche virtuelle.
:p.
Les lignes qui commencent par ';' sont ignores.  Si vous souhaitez
convertir les point-virgules, spcifiez soit "S+;" soit "S-;", suivant
votre clavier.
:p.
Exemple&colon.
:p.
:font facename='Courier' size=14x8.c+x s+c-delete:font facename='default'.
:p.
L'entre est Ctrl+'X'.  Les touches Maj (Shift) et Alt sont ignores,
puisqu'il n'y a pas S+, S-, A+ ou A-.  La sortie est Maj (Shift) +
Suppr (DELETE).  L'tat de la touche Ctrl sera dsactiv.  L'tat de
la touche Alt ne sera pas chang.
:p.
Touches virtuelles&colon.
:sl compact.
:li.   BREAK (Alt + Pause)
:li.   BACKSPACE (Retour arrire)
:li.   TAB (Tabulation)
:li.   BACKTAB (Maj + Tabulation)
:li.   NEWLINE (Entre)
:li.   PAUSE
:li.   ESC (chap)
:li.   SPACE (Barre d'espacement)
:li.   PAGEUP (PageAr)
:li.   PAGEDOWN (PageAv)
:li.   END (Fin)
:li.   HOME (Pos1)
:li.   LEFT (flche vers la gauche)
:li.   UP (flche vers le haut)
:li.   RIGHT (flche vers la droite)
:li.   DOWN (flche vers le bas)
:li.   PRINTSCRN (Impr cran)
:li.   INSERT (Inser)
:li.   DELETE (Suppr)
:li.   SCRLLOCK (Arrt Dfil)
:li.   ENTER (C'est la touche Enter du pav numrique ou Maj + Entre)
:li.   SYSRQ
:li.   F1, F2, ..., F24
:esl.
:h3 x=right y=top width=70% height=100% group=1.Macro-commande clavier
:p.
Il y a trois touches virtuelles spciales&colon.
:sl compact.
:li.   STARTRECORD
:li.   ENDRECORD
:li.   PLAYBACK
:esl.
:p.
La touche STARTRECORD commencera l'enregistrement des entres clavier.
La touche ENDRECORD stoppera l'enregistrement, et la touche PLAYBACK
rejouera la squence enregistre.  Dans le fichier NPSWPS.DAT
standard, Ctrl+8 est assign  STARTRECORD, Ctrl+9  ENDRECORD et
Ctrl+0  PLAYBACK.

:h3 x=right y=top width=70% height=100% group=1.Liste de fentre
:p.
Cette option affiche la Liste de fentre lorsque les deux boutons de
la souris sont presss simultanment, ce  partir de la plupart des
fentres.

:h3 x=right y=top width=70% height=100% group=1.Bouton d'Arrt/Fermeture
:p.
Cette option ajoute un bouton d'Arrt/Fermeture  la barre de titre
des fentres qui ferme la fentre lorsqu'il est slect.  Les boutons
d'Arrt/Fermeture des fentres systmes, comme par exemple les
sessions OS/2 en fentres, sont crs par une unit d'excution de NPS
WPS Enhancer.  Aussi, les boutons d'Arrt/Fermeture sont parfois
redessins avant la barre de titre.  Je ne pense pas que ce soit un
problme majeur.
:p.
NPSWPSCB.BMP est le fichier bitmap contenant l'image utilise pour 
dessiner le bouton d'Arrt/Fermeture.  Ce fichier doit se trouver dans
le mme rpertoire que NPSWPS.EXE.  Pour modifier le dessin du bouton 
d'Arrt/Fermeture, modifiez NPSWPSCB.BMP et relancez NPS WPS Enhancer.
:p.
Le bouton d'Arrt/Fermeture n'est pas correctement dessin sur 
certains systmes ayant une carte d'cran Power9000,  cause d'une 
bogue (de l'API GpiDrawBits) dans le pilote de la carte d'cran.  Si 
vous tes confronts  ce problme, slectez l'option "Prendre en 
compte les pilotes dfectueux".  Dans ce cas, la hauteur de l'image 
sera augmente d'un pixel.
:p.
Slectez la plaquette "Redessiner l'cran" de la page "cran" 
lorsque vous activez (ou dsactivez) la prise en compte des pilotes 
dfectueux.

:h3 x=right y=top width=70% height=100% group=1.Fentre Ouverture tendue
:p.
Cette option permet de faire glisser les fichiers slects dans la
liste standard des fichiers disponibles sur le systme  partir de
n'importe quelle application.  Les fichiers slects peuvent tre
dplacs en les amenant sur un autre dossier, ou supprims en les
amenant sur le broyeur.
:p.
De plus, une option "Fichier..." est ajoute au menu contextuel du
bureau.  C'est la mme liste que celle dcrite dans "Sessions VIO -
Menu contextuel".
.** :artwork align=center name='bmp\pmgrab16.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Dfilement doux des dossiers
:p.
Lorsque cette option est active, les barres de dfilement d'un
dossier feront dfiler rgulirement son contenu.  Si le dossier a une
image en arrire-plan, elle sera redessine  chaque mouvement de la
barre de dfilement, ce qui aura pour effet de faire scintiller le
dossier.

:h3 x=right y=top width=70% height=100% group=1.Modification de l'ordre des fentres
:p.
Cette option permet de modifier l'ordre relatif des fentres avec la
combinaison de touche/souris spcifie.  "Haut" dnote la combinaison
utilise pour rapprocher la fentre du premier plan d'un chelon, et
"Bas" celle utilise pour faire reculer d'un chelon la fentre
active. Pour modifier ces combinaisons, excutez les nouvelles combinaisons
souhaites sur les anciennes.

:h3 x=right y=top width=70% height=100% group=1.Menu contextuel dans les zones d'entre
:p.
Lorsque cette option est active, un menu contextuel peut tre 
ouvert dans les zones d'entre en appuyant sur le bouton 2 de la 
souris.  Les trois options de ce menu contextuel sont "Copie", 
"Dcoupage" et "Collage", et correspondent respectivement  
Ctrl+Inser, Maj+Suppr et Maj+Inser.
:artwork align=center name='bmp\pmgrab15.bmp'.

:h1 x=right y=top width=70% height=100% group=1.Adaptation des messages
:p.
We tried to adhere to the IBM terminology as much as possible, for
better or for worse. The main advantage is consistency. You can
lookup words you don't understand in the Master Help Index or the
Glossary in the folder Information.

Vous pouvez adapter tous les libells utiliss par NPS WPS Enhancer
trs simplement.  Modifiez les chanes entre guillemets dans
NPSWPSFR.RC, et entrez la commande suivante  une invite OS/2&colon.
:p.
:font facename='Courier' size=14x8.
  RC NPSWPSFR.RC NPSWPS.DLL
:font facename='default'.
:p.
Je serais trs heureux si vous pouviez m'envoyer le fichier de
ressource adapt  toute autre langue que the ones already included. I can add such resource files 
to later versions of NPS WPS Enhancer.
:h1 x=right y=top width=70% height=100% group=1.Credits
:p.
Si vous aimez ce logiciel, dites-le moi.  Vos ides pour amliorer
le Shell du bureau lectronique sont aussi les bienvenues.  Prs de 10
fonctionnalits de ce programme viennent d'ides d'utilisateurs.
:lines.
   Shinji 'N.P.S.' Takasugi  Team OS/2 Japan
   nps1970@ibm.net
   JBD03575@niftyserve.or.jp (pour les utilisateurs Japonais)
:elines.
:p.
Xit close bitmaps by Chris Hayashida, with permission from CodeSmith
Software.
:p.
All this could not have been possible without the following people:
:ul.
:li.Programming, English and Japanese localization: Shinji 'N.P.S.' Takasugi (nps1970@ibm.net)
:li.German localization: Jens Berg (berg@hagenuk.de). Additional work by
Theo and Petra Schoegje. Original work by unknown author.
:li.REXX (un)install script, Dutch localization: Jacco de Leeuw (leeuw@fwi.uva.nl)
:li.REXX cleanup and INF conversion: Andy Stritof (stritof@xnet.com)
:li.Italian localization: Alessandro Cantatore (alexcant@mbox.vol.it)
:li.French localization: Martin Lafaix (lafaix@ibm.net)
:li.Finnish localization: Janne Hakulinen (jhakuli@cs.joensuu.fi)
:eul.

:euserdoc.

