.****
:userdoc.
:title.  NPS WPS Enhancer versione 1.90 Manuale
:h1 x=right y=top width=70% height=100% group=1.Introduzione
:p.
:artwork align=center name='bmp\pmgrab00.bmp'.
:lines align=center.
Workplace Shell Customizing Program
NPS WPS Enhancer version 1.90
Copyright(C) 1995, N.P.S.
:elines.
:p.
NPS WPS Enhancer migliora l'uso e la personalizzazione della versione 2.1
e successive dell'OS/2. Dato che questo programma  gratuito non  garantito.
:p.
:hp7.What's NPS WPS anyway?:ehp7.
:p.
NPS WPS adds a couple of bells and whistles to OS/2.
Functions such as a close button, shadows and spectacular
window animations haven't got any practical use really, but
many people like these 'gadgets'. Great for showing
off to colleagues who use other operating systems... &colon.&dash.)
:p.
NPS WPS is fully 'freeware', which means it's copyrighted
(Copyright(C) 1995, Shinji 'N.P.S.' Takasugi) but you can copy
and distribute it freely. Alessandro Cantatore translated the 
documentation into Italian.
:p.
NPS WPS Enhancer permette di&colon.
:ol compact.
:li.ordinare gli oggetti di una cartella secondo la loro estensione.
:li muovere le finestre delle cartelle o quella dell'"Orologio di sistema"
    trascinandole dopo aver premuto il tasto 2 del mouse.
:li.rimuovere le voci "Ordinare" e "Riordinare" dal menu a comparsa della
    "Scrivania".
:li.usare un menu a comparsa nelle finestre comandi OS/2 o DOS.
:li.mostrare l' "Elenco finestre" cliccando con entrambi i tasti del mouse
    in quasi tutte le finestre.
:li.selezionare gli oggetti di una cartella tramite una finestra di dialogo
    in cui scrivere il loro nome eventualmente usando caratteri jolly.
:li.rimappare la tastiera nelle finestre PM o in quelle comandi OS/2
    rendendo possibile l'uso di macro temporanee.
:li.muovere una finestra trascinando il bordo con il puntatore del mouse
    (con il tasto 2 premuto).
:li.fare si che quando il puntatore del mouse raggiunge il bordo della
    "Scrivania" riappaia dal bordo opposto.
:li.disegnare linee sulla "Scrivania".
:li.ordinare gli oggetti nelle cartelle secondo una griglia.
:li.muovere automaticamente il puntatore del mouse sulla finestra attiva,
    lasciando opzionalmente invariata la gerarchia delle finestre.
:li.far apparire l'ombra sotto le finestre aperte sulla "Scrivania".
:li.aggiungere un bottone di chiusura alle finestre.
:li.attivare automaticamente le finestre sottostanti il puntatore del mouse,
    lasciando opzionalmente invariata la gerarchia delle finestre.
:li.cambiare la gerarchia delle finestre durante il trascinamento di
    oggetti.
:li.usare il trascinamento dell'intera finestra invece di quello del solo
    bordo.
:li.estrarre ed inserire testo dalle finestre comandi usando il mouse.
:li.inserire il testo della "Clipboard" nella finestra comandi con il mouse.
:li.trascinare i file elencati in una finestra di dialogo dei file.
:li.cambiare un icona per i file standard (non possibile con Warp).
:li.nuove animazioni per l'apertura e chiusura delle finestre.
:li.scorrimento dolce delle finestre delle cartelle.
:li.selezionare automaticamente la voce di menu sotto il puntatore del
    mouse.
:li.cambiare la gerarchia delle finestre senza cambiarne la focalizzazione.
:li.usare un menu a comparsa nei campi di inserimento con i comandi
    copiare/estrarre/inserire.
:eol.
:p.
Ogni funzione pu essere impostata individualmente, cos potete
selezionare solo le funzioni che desiderate.
:p.
NPS WPS Enhancer nasconde la sua finestra all'avvio. Per visualizzare
il suo blocco impostazioni, selezionare NPSWPS.EXE - NPS WPS Enhancer
dall' "Elenco finestre".
:p.
:h1 x=right y=top width=70% height=100% group=1.Quickstart NPS WPS (Read me first!)
:p.
:hp7.Installation:ehp7.
:p.
Installation is fairly easy. You can double click on the INSTALL.CMD icon 
or you can open an OS/2 command window, type INSTALL.CMD and then press 
the Enter key. The rest is self-explanatory.
:p.
Once NPS WPS Enhancer has been installed it will start automatically when 
you boot OS/2.  If you do not wish it to do so you can move the NPS WPS 
Enhancer program object out of the Startup folder.
:p.
:hp7.Uninstall:ehp7.
:p.
NPS WPS :hp8.non modifica:ehp8. i file CONFIG.SYS, OS2.INI, OS2SYS.INI,
etc. After installation you will find an icon "Uninstall NPS WPS"
in the NPS WPS folder. By double-clicking on this icon, NPS WPS
will delete itself, after confirmation. N.B.: You will have to
close NPS WPS before you can use this icon.
:p.
:h1 x=right y=top width=70% height=100% group=1.Tips and hints
:p.
:hp7.Tips:ehp7.
:p.
Not everyone likes to dig through a lengthy manual. So here
are the most important points. I'd recommend against skipping
these!
:ul.
:lp. 
When NPS WPS is started (e.g. just after installation), NPS WPS 
starts in the backgrond. Sometimes, when many functions are
disabled, you can't even notice that NPS WPS is started.
So when you want to enable functions (such as windows animations)
you'll have get NPS WPS to the foreground. E.g. through pressing
Ctrl-Esc and then double clicking on the line "NPS WPS Enhancer"
:lp.
:hp2.PLEASE NOTE!:ehp2. An often made mistake is that one closes
the NPS WPS configuration window. This is incorrect because the
the program will be terminated. Instead, you should click
on the "Minimize" button, the one second from the right,
top right corner of the window.
:lp.
If you notice "garbage" left on the screen, e.g. when you
are dragging windows with shadows, it could be that there's a bug
in the driver for your graphics card. Don't panic, it can be
resolved. Open the configuration window of NPS WPS. On two tabs
(Screen View and Others) there's an "Adaptation to Video Driver
Bugs checkbox. Try these to solve the problem.
:lp.
If you notice that you can't start the installation program of the
BonusPak and the "Multimedia-toepassingen Installeren" object, then
you're right: NPS WPS's close buttons are the culprit. Solution:
temporarily disable the close buttons, install whatever you
want and then enable the close buttons again.
:lp.
NPS WPS can optionally add a close button to the title bar of the window. Some people like a close button on the left hand side of a window, or even
two close buttons on either side. You can use the shareware program Xit
for that. Included with NPS WPS is the file CB_BMPS.ZIP. It contains a couple
of bitmaps which you can use if you don't like the appearance of NPS WPS's
close button.  Or would you rather use your own design? Just copy the
bitmap of your choice over NPSWPSCB.BMP and compile the resource file:
:p.
:font facename='Courier' size=14x8.
  RC NPSWPSIT.RC NPSWPS.DLL
:font facename='default'.
:lp.
If RC.EXE (normally in the \OS2 directory) cannot be found
you need to use "Selective Install" to install it. Choose
the option "Link object modules" from the "Optional System
Utilities".
:lp.
In some cases you might encounter problems when you run
NPS WPS with other programs, for instance if they have
overlapping features. In PC/2 (copyright Stangl Roman) 
"Sliding Focus" means the same as NPS WPS' "Activate Window
at Pointer". So, watch out.
:lp. 
To add to the previous point: I've tested NPS WPS with FixPak 16 en 17. 
It seems that you better not use the "Full Window Drag" option in combination 
with the line SET PM_DYNAMIC_DRAG=ON in your CONFIG.SYS. Both seem to do the
same thing, IBM's implementation seems to be a bit more thorough.
:lp.
There might be a problem when Xit 1.0 is used in combination with
Object Desktop. In that case be sure to not choose a left hand
side close button when you install NPS WPS.
:lp.
Problems? Try to find the latest version (e.g. from my
homepage) or send some email.
:eul.  
:p.
:hp7.Thank you so much!:ehp7.
:p.
I'd like to thank Theo en Petra Schoegje for their translation
of the installation script into German, and a couple of single
words here and there. Jens Berg (berg@hagenuk.de) helped a hand
with the translation as well. Andy Stritof (stritof@xnet.com) 
found a couple of problems with the installation script and helped to
create this INF. There will be other problems but hopefully these pop 
up only in rare cases.
:lines.
  Jacco de Leeuw
  J.C. van Wessemstraat 54
  1501 VM  Zaandam
  Tel. (075) 6352068
  email&colon. leeuw@wins.uva.nl
  http&colon.//carol.wins.uva.nl/~leeuw/
  OS2Net&colon. 81&colon.431/301.310
:elines.

:h1 x=right y=top width=70% height=100% group=1.Known problems
:p.
First of all, if you notice your system sometimes hangs up or freezes,
please disable all the options.  If the problem disappears in that case, 
probably only one option is the cause of your problem. 
:p.
In some systems, activating NPS WPS Enhancer on system boot causes Workplace 
Shell to freeze.  Please move the program object of this program out of the 
Startup folder to another folder in this case. This problem doesn't occur 
on OS/2 2.x, and doesn't occur after Workplace Shell completes its 
initialization.  So I think it might be caused by Warp itself.
:p.
If the option "Activate Window at Pointer" is on and the option "Waiting Time" 
is set to 0, too frequent opening and closing of seamless WIN-OS/2 windows 
sometimes hangs the system. If this problem occurs, please set the waiting 
time to a non-0 value.
:p.
These settings described above also cause a severe decrease of the system 
performance if you are using a screen saver.  Setting the waiting time to a 
non-0 value may probably solve this problem. 
:p.
In some systems, The option "Arrange Icons on Matrix" prevents MVDM from 
executing.  It is a very rare problem, so I cannot find the reason.
:p.
Some users have reported that "Arrange Icons on Matrix" also make the title 
bar font to be changed to the system default font.
:p.
Folders cannot save their position if opened again before the window 
animation for closing is finished.
:p.
If "Close Buttons" are checked, MINSTALL.EXE, installer of MMPM/2, cannot 
show its window in some systems.   Some users have reported that this option 
also causes some OS/2 Full Screen applications to hung.

:h1 x=right y=top width=70% height=100% group=1.Distribution
:p.
You can distribute this software as long as all the files are in the
same package such as ZIP, LZH, a floppy disk, or a CD-ROM directory.
Only language translation is allowed to modify files.  In that case,
you must add the sentences which mention when and who modify the package
at the head of README.
:p.

:h1 x=right y=top width=70% height=100% group=1.Please share your ideas!
:p.
Please send me email if you like this software.  Your ideas to improve 
Workplace Shell are also welcome.  About 10 functions of this program are 
from the ideas of users.
:lines.
   Shinji 'N.P.S.' Takasugi  Team OS/2 Japan
   nps1970@ibm.net
   JBD03575@niftyserve.or.jp (for Japanese users)
:elines.

:h1 x=right y=top width=70% height=100% group=1.Feature Reference
:p.
NPS WPS Enhancer is loaded with options for customizing and enhacning the
way your OS/2 desktop behaves.
:p.
Read through the descriptions to see what you may like, but for more fun, 
try them out!  The feature are enabled when you select them, so check a 
feature, try it and see if you like it.
:h2 x=right y=top width=70% height=100% group=1.Select/Sort
:p.
The Select/Sort options give you additional control when working with folders.
.** :artwork align=center name='bmp\pmgrab03.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Extension Sort
:p.
This item adds "Extension" to the "Sort" submenu of the system menu or the
popup menu of folders, allowing you to sort objects in the folder by their 
file  extension.
.** :artwork align=center name='bmp\pmgrab01.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Selection by Object Name
:p.
This feature allows you to select objects in a folder according to their 
name.  It adds a "Name..." item in the "Select" submenu of the system menu 
or popup  menu of folders.   
Case is ignored.  There are the following special characters&colon.
:p.
'*' matches any number of any character.
'*.txt' matches 'a.txt', 'bc.txt', etc.
:p.
'?' matches any 1 characer except period.
'a.t?t' matches 'a.txt', but not 'a.tt' or 'a.t.t'.
:p.
'!' means negation if it is the first character of the search string.
So '!*.txt' will select the object whose name does not match '*.txt'.
:p.
',' means a separator of multiple keys.  Objects are selected if their
names match any one of the multiple keys.
:p.
'\' nullifies the next character.  But '\n' means a carriage return.
:p.
Example&colon.
:lines.
:font facename='Courier' size=14x8.   
*.txt     &colon. Select the objects whose extension is 'txt'.
!*\n*,a*  &colon. Select the objects whose name does not contain a carriage
            return, and the objects whose name starts with 'a'.
:elines.
:font facename='default'.
.** :artwork align=center name='bmp\pmgrab02.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Disable Sort and Arrange of Desktop
:p.
When this is selected the "Sort" and "Arrange" menu items are removed from 
the desktop popup menu, preventing accidental rearrangement of your desktop.
:p.
:h3 x=right y=top width=70% height=100% group=1.Arrange Icons on Matrix
:p.
This setting arranges objects in a folder in a matrix, or grid. It will work 
only if the folder shows objects with normal icons, and if "Non-Grid" is 
selected for the View format in the settings notebook.
:p.
"x Origin" and "y Origin" indicate the coordinate of the first object, (0, 0) 
being the top-left of the folder.  "x Distance" and "y Distance" indicate the 
distance  between objects.
:h2 x=right y=top width=70% height=100% group=1.Drag
:p.
The Drag options allow you to customize the way folders and the System Clock
appear during drag operations.
.** :artwork align=center name='bmp\pmgrab04.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Frame Drag
:p.
This option allows you to drag a window by clicking and dragging on its frame 
(border) with mouse button 2.  Changing the size of the window is still done  
with button 1.  This function only works with PM windows.
:h3 x=right y=top width=70% height=100% group=1.Folder Drag
:p.
This option allows you to move a folder by clicking and dragging it with mouse 
button 2 within the folder's empty space.
:h3 x=right y=top width=70% height=100% group=1.System Clock Drag
:p.
This option allows you to move the system clock by dragging its window with 
mouse button 2.
:h3 x=right y=top width=70% height=100% group=1.Show Other Folders when Drag
:p.
This option moves a folder with selected objects under any overlapping 
folders when the selected objects in that folder are dragged.  If the 
checkbox "Only when Shift is pressed" is turned on, the program ignores 
whether or not objects are selected and moves the folder only when the 
shift key is held down.

:h3 x=right y=top width=70% height=100% group=1.Full Window Drag
:p.
With this option enabled, the entire window will be moved and redrawn when 
you drag the window with the title bar or with mouse button 2 instead of using 
a "drag frame".  ESC cannot be used to recover the previous position in this  
case.  Note that slower machines and machines with slow video cards will not be 
able to redraw the screen frequently.  Also, this function works only with
PM windows. 

:h2 x=right y=top width=70% height=100% group=1.Pointer 1
:p.
These options allow you to customize and automate the movement of the mouse
pointer.
.** :artwork align=center name='bmp\pmgrab05.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Move Pointer to Focus
:p.
When this item is enabled, the mouse pointer will automatically move to the 
window which gets the focus.  If "Always Move Pointer" is on, the pointer 
will be moved every time the focus window changes.  If it is off, the pointer 
will move in the following cases&colon.
:ol compact.
:li. A dialog box or message box is created.
:li. The focus is changed by a double-click (i.e., opening a window).
:eol.
:p.
To prevent the pointer from moving, move the mouse quickly during automatic 
mouse move.
:p.
The "Step" field determines how quickly the pointer moves to the new window.  
One step equals 20 milliseconds.  "Randomness" defines the randomness of 
the pointer movement.  If it is 0, the pointer moves directly to the new 
focus window.  Higher numbers are increasingly random.
:p.
If "Ignore Buttonless Dialogs" is checked, the pointer will not be moved to 
a focus window that has no buttons.
:p.
If "Ignore LaunchPad" is checked, the program ignores the LaunchPad and its 
drawers.
:p.
It is a good idea to use Comet Cursor with this function.
:p.

:h3 x=right y=top width=70% height=100% group=1.Wrap Pointer on Screen Border
:p.
When this option is checked the pointer will "wrap" from one side of the 
screen to the opposite side.  "Effective Area" determines how big the area 
is on each screen border where jumping will occur, starting from the center 
of the screen border.  50% means that the area from the center halfway to 
each corner will be effective, 75% means the area from the center of the 
border three fourths of the way to the corners will be effective, etc.

:h2 x=right y=top width=70% height=100% group=1.Pointer 2
:p.
These options allow you to control mouse actions with windows and menus.
.** :artwork align=center name='bmp\pmgrab06.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Activate Window at Pointer
:p.
This feature automatically sets focus to the window underneath the mouse 
pointer.  It is disabled when popup menus are displayed or when a mouse 
button is pressed, and ignores Win-OS/2 seamless windows.
:p.
If the Window List is shown, this feature is suspended until the mouse 
pointer moves over the Window List.
:p.
"Waiting Time" determines how long the delay is before the window underneath 
the mouse pointer is activated.  If 0, the window is activated instantly.  
A value  of 50-60 is suggested to avoid activating windows accidentally.
:p.
If "Keep Window Z-Orders" is checked, the window will not bring the new focus 
window in front of all other windows. 
:p.
If "Ignore Desktop" is checked, the Desktop will not get the focus when the 
mouse is over it.
:p.
A newly created window will soon lose its focus if the mouse pointer is not 
moved to it.  "Only when Pointer is moved" prevents newly created windows 
from losing focus if the user doesn't move the mouse pointer.  If "Move pointer 
to focus" is enabled this option is not effective.

:h3 x=right y=top width=70% height=100% group=1.Automatic Menu Selection
:p.
When this option is checked, the menu item at the mouse pointer is shown as 
if the mouse button is pressed.  You must still click the mouse button to 
select the menu item.  Conditional cascade menus are pressed only when the 
pointer moves over the right half of the menu item, and in that case its 
submenu is  automatically opened. This feature makes menu navigation faster 
and more accurate.
.** :artwork align=center name='bmp\pmgrab07.bmp'.
:h2 x=right y=top width=70% height=100% group=1.Screen View
:p.
These options allow you to enhance the appearance of the desktop.
.** :artwork align=center name='bmp\pmgrab08.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Screen Drawing
:p.
This allows you to draw lines anywhere on the screen by using the specific 
key-mouse combination.  To change the combination to draw the line, click the 
words under the checkbox of this function that show the current combination 
with the combination to be assigned. Valid keys are Shift, Ctrl, and Alt.  
You must press at least one of these keys. If you have an OS/2 supported
mouse with 3 buttons, you can also use mouse button 3 by itself.
The default combination is Shift + Ctrl + Button 1. 
:p.
Change the color by selecting a color from the value set.  Clicking "Refresh 
Screen" erases all lines.
.** :artwork align=center name='bmp\pmgrab09.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Window Shadows on Desktop
:p.
This option causes windows to cast shadows on the desktop. "Shadow x" and 
"Shadow y" determine the size of the shadows. "Shadow Darkness" determines 
the density of the shadow.  0 is the lightest, and 8 is the darkest.  
Press "Refresh Screen" to update the screen after making changes to these 
parameters.
:p.
The vertical black line will remain on the screen on systems with some video 
cards, such as S3 864/964 or Matrox video card, because their video drivers 
seem to have a bug in the API GpiBox.  If you experience problems with this 
setting, check "Adaptation to Video Driver Bugs" to avoid it.
:artwork align=center name='bmp\pmgrab10.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Random Icons
:p.
:hp2.NOTE:ehp2.:hp8. - This function will not work on Warp.:ehp8.
:p.
This function changes the icon for standard files.  Icons in NPSWPSRI.DLL 
are randomly selected for each standard file. To customize icons, modify 
NPSWPSRI.RC to include your icons. The format is&colon.
:p.
:font facename='Courier' size=14x8.
  ICON n PRELOAD IMPURE "filename"
:font facename='default'.
:p.
n must be 2 or greater, and sequential.  Then enter the following command in 
an OS/2 command window&colon.
:p.
:font facename='Courier' size=14x8.
  rc npswpsri.rc npswpsri.dll
:font facename='default'.
:p.
This will enable the new random icons.
:p.
:caution.
Do not change NPSWPSRI.DLL's icon from its settings notebook.  NPS WPS 
Enhancer expects NPSWPSRI.DLL to have a standard icon.
:ecaution.

:h2 x=right y=top width=70% height=100% group=1.Animation
:p.
These options allow you to enhance the window animation for opening and 
closing windows.  Try then and you will like them!
.** :artwork align=center name='bmp\pmgrab11.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Window Animation for Open/Close
:p.
This feature improves the animations used when a window is opened or closed.  
There are 5 different types of animations available. Win-OS/2 seamless windows
are not animated.
:p.
DLLs for window animations are loaded when the program starts according to 
the file NPSWPS.LST.  The fifth and sixth strings in each line of NPSWPS.LST, 
which stand for the words to be displayed in the dialog box, can be modified 
by the user.  Lines which start with a semicolon are comments and are ignored 
by the program.
:p.
The option "Number of Afterimages" sets the number of frames displayed at the 
same time.  In general, this value should be set higher for faster machines 
and higher resolutions. The higher the value, the nicer the effect.
:p.
If "Animation Sounds" is checked, a sound file will be played according to 
the Sound settings notebook.  The names of wave files are read only when 
NPS WPS Enhancer starts, so when you change the wave files, restart this 
program.
:p.
"Waveaudio Index" determines which sound card is used for the animation sounds.  
The index 1 means Waveaudio01, 2 means Waveaudio02, etc. 
:p.
If "Animations for All Frame Windows" is checked, all frame windows are 
animated, not just those with the animation attribute.
:p.
Click "Detail Settings..." to configure each animation type and whether or 
not it is enabled.  Select the animation name to customize each animation 
type.
:p.
If "Enable" is checked, appropriate animation will take effect. The enabled 
animation types are randomly selected every time a window animates.
:p.
"Step" sets the number of steps in the animation.  A higher number means 
more steps, and the animation will take longer.  Take care when setting this 
number on slow machines - a high Step value may take a very long time to draw.
:p.
"Angle" determines how many degrees of rotation the animation will rotate 
through.  "Divisor" determines how many quadrants will be used.  On a 
486DX2/66Mhz, numbers above 4 are too slow unless the Step is less than 25.
:p.
:h3 x=right y=top width=70% height=100% group=1.Write your own animations
:p.
If you can write a dynamic link library, please try to make your own window 
animations.  NPSWPSWA.DOC contains instructions.  NPSWPSWA.CPP is the source 
code for NPSWPSWA.DLL, the standard window animation module for NPS WPS 
Enhancer.
:p.

:h2 x=right y=top width=70% height=100% group=1.Command Window
:p.
The command window options allow you to enhance the properties of command
window sessions.
.** :artwork align=center name='bmp\pmgrab12.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Popup Menu
:p.
:hp2.NOTE:ehp2. - :hp8.The file dialog called from this option is different 
from the one in version 1.73a.:ehp8.
:p.
When enabled this option opens a popup menu for OS/2 and DOS command windows 
when mouse button 2 is pressed anywhere in the window.  If the menu item 
"Filename..." is selected from this menu a File dialog will appear.
:p.
The file dialog brought up by this menu item allows you to directly open 
files by selecting them and then pressing the "Open" button.  The "Names" 
button in the file dialog allows you to copy the filenames to the clipboard.  
The filenames are separated by white space, and filenames which contain 
white space are enclosed by double quotation marks.  To open a folder you 
must specify the name of the folder, because folders are not listed in the 
listbox.
:p.
.** :artwork align=center name='bmp\pmgrab13.bmp'.

:h3 x=right y=top width=70% height=100% group=1.Extended Marking
:p.
This option allows you to enter mark mode in OS/2 and DOS windows by dragging 
the specified mouse button within the window. The selected text is 
automatically copied to the clipboard when the mouse button is released.  
The last carriage return of the copied text is removed.
:p.
To change the key-mouse combination for extended marking, click the words 
under the checkbox of this function, which show the current combination, 
with the new combination to be assigned.  Valid keys are Shift, Ctrl, 
and Alt. The default combination is Button 1 without a key.

:h3 x=right y=top width=70% height=100% group=1.Quick Paste
:p.
This option causes clipboard text to be pasted to an OS/2 or DOS command 
window when the specified key-mouse combination is clicked on it.   To 
change the combination for quick paste, click the words under the checkbox 
of this function, which show the current combination, with the new 
combination to be assigned.  Valid keys are Shift, Ctrl, and Alt, and a 
click and a double click are treated as different actions.  The default 
combination is Button 1 double click without a key.

:h2 x=right y=top width=70% height=100% group=1.Others
:p.
These options give you ways to make desktop navigation easier and faster.
:p.
.** :artwork align=center name='bmp\pmgrab14.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Key Translation
:p.
The program will translate keys.  To my regret, this function is not perfect; 
some applications ignore translated keys.   The file NPSWPS.DAT describes 
the key translations.  This file is read only when NPS WPS Enhancer starts.  
The format of the key translation table is&colon.
:p.
:font facename='Courier' size=14x8.   
[C+|C-][S+|S-][A+|A-]key [C+|C-][S+|S-][A+|A-]key
:font facename='default'.
:p.
The first string is the input, and the second string is the output. Case is 
ignored.  '[]' means that the contents are optional.  '|' means you may 
specify only one of the two options.  'C', 'S', and 'A' are Ctrl, Shift, 
and Alt.  '+' means the key is  pressed, '-' means it is released.  'key' 
is either a character or a virtual key name.
:p.
Lines which start with ';' are comments.  If you want to translate semicolons, 
specify either "S+;" or "S-;" according to your keyboard.
:p.
Example&colon.
:p.
:font facename='Courier' size=14x8.c+x s+c-delete:font facename='default'.
:p.
The input is Ctrl + 'X'.  Shift and Alt are ignored because there is no 
S+, S-, A+, or A-.  The output is Shift + DEL.  The Ctrl state will be 
changed to off.  The Alt state will not be changed.
:p.
Virtual Keys&colon.
:sl compact.
:li.   BREAK (Alt + Pause)
:li.   BACKSPACE
:li.   TAB
:li.   BACKTAB (Shift + Tab)
:li.   NEWLINE (Enter or Return)
:li.   PAUSE
:li.   ESC
:li.   SPACE
:li.   PAGEUP
:li.   PAGEDOWN
:li.   END
:li.   HOME
:li.   LEFT
:li.   UP
:li.   RIGHT
:li.   DOWN
:li.   PRINTSCRN
:li.   INSERT
:li.   DELETE
:li.   SCRLLOCK
:li.   ENTER (This is numeric-keypad Enter or shift + Enter)
:li.   SYSRQ
:li.   F1, F2, ..., F24
:esl.
:h3 x=right y=top width=70% height=100% group=1.Keyboard Macro
:p.
There are 3 special virtual key names listed below.
:sl compact.
:li.   STARTRECORD
:li.   ENDRECORD
:li.   PLAYBACK
:esl.
:p.
The key STARTRECORD will start memorizing keyboard inputs.  The key ENDRECORD 
will stop memorizing, and the key PLAYBACK sends the memorized keyboard input 
to the window.  In the default NPSWPS.DAT, Ctrl + '8' is assigned to 
STARTRECORD, Ctrl + '9' is assigned to ENDRECORD, and Ctrl + '0' is assigned 
to PLAYBACK.

:h3 x=right y=top width=70% height=100% group=1.Window List
:p.
This option shows the Window List when both mouse buttons are pressed over 
most windows, not just when over the Desktop.

:h3 x=right y=top width=70% height=100% group=1.Close Buttons
:p.
This option adds a Close button to the title bar of the window, which closes 
the window when pressed.  Close buttons for the system windows, such as 
OS/2 windows, are made in the NPS WPS Enhancer thread, so Close buttons are 
sometimes drawn before the title bar redraws.  I don't think it's a 
severe problem.
:p.
NPSWPSCB.BMP is the bitmap file for close buttons.  This file must be placed 
in the directory where NPSWPS.EXE is installed.  To customize Close buttons, 
please modify NPSWPSCB.BMP and restart NPS WPS Enhancer.   The bitmap for 
Close buttons was included in NPSWPS.DLL as a resource in NPS WPS Enhancer 
version 1.80 or before, so a resource compiler was necessary.
:p.
Close buttons are not properly drawn on systems with some video cards, 
such as a Power9000 video card, because its video driver seems to have a 
bug in the API named GpiDrawBits.  If you experience problems with this 
setting, check "Adaptation to Video Driver Bugs" to avoid it. The bitmap 
is streched by 1 pixel in its height (y size) in this case.
:p.
Please press the "Refresh Screen" button in the "Screen View" page when 
you change this bug adaptation option.

:h3 x=right y=top width=70% height=100% group=1.Extended File Dialogs
:p.
This option lets you drag the files selected in the listbox of the standard 
file dialog of any application.  The dragged files can be moved by dropping 
them on a folder or deleted by dropping them on the shredder.
:p.
In addition, the menu item "Filename..." is added to the popup menu of the 
Desktop.  This is the same file dialog described in 
"Command Window - Popup Menu".
.** :artwork align=center name='bmp\pmgrab16.bmp'.
:h3 x=right y=top width=70% height=100% group=1.Smooth Scroll of Folders
:p.
When this option is enabled, the scroll bars of a folder scroll the contents 
smoothly.  If the folder has a background bitmap, it will redraw the 
background each time the scrollbar is moved, causing the folder to flicker.

:h3 x=right y=top width=70% height=100% group=1.Change Window Z-Order
:p.
This option allows you to change the window z-order with the specified 
key-mouse combination.  "Up&colon." is the combination used to bring the 
window up by 1 level z-order, and "Down&colon." is the combination used 
to move the window down 1 level z-order.  To change these combinations, 
click these statements with the combination to be assigned. 

:h3 x=right y=top width=70% height=100% group=1.Entry Field Menu
:p.
When enabled this option opens a popup menu for Entry Fields when mouse 
button 2 is pressed.  The menu items are copy, cut, and paste.  These 3 
items mean Ctrl + Ins, Shift + Del, and Shift + Ins respectively.
:artwork align=center name='bmp\pmgrab15.bmp'.
:h1 x=right y=top width=70% height=100% group=1.Customize messages
:p.
You can customize all the words used in NPS WPS Enhancer very easily.  
Modify the strings with double quotation marks in NPSWPSUS.RC, and enter 
the following command in an OS/2 window&colon.
:p.
:font facename='Courier' size=14x8.
  rc npswpsus.rc npswps.dll
:font facename='default'.
:p.
I'll be glad if you would kindly send the resource file written in any 
other language besides English and Japanese. I can add such resource files 
to the later version of NPS WPS Enhancer.

:euserdoc.
